Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1192 (closed enhancement: wontfix)

Opened 7 years ago

Last modified 3 years ago

Hardware Support: AR5007* (AR2425 chips)

Reported by: Jeremy Jackson <jerj@coplanar.net> Assigned to: proski
Priority: critical Milestone: version 0.9.5
Component: madwifi: HAL Version: trunk
Keywords: AR5007 AR2425 AR2417 Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

A new HAL has been made available by Sam Leffler (0.10.5.6) that supports AR2425 chips (AR5007* chipsets). This is a full HAL release so it should work for all platforms - that means x86-64.

The new HAL is currently in a branch, but should hopefully, barring any other issues, be migrated to trunk soon. Tarballs are available from http://snapshots.madwifi-project.org/madwifi-hal-0.10.5.6/ and Subversion access is at http://svn.madwifi-project.org/madwifi/branches/madwifi-hal-0.10.5.6.

Please use the instructions as in UserDocs/FirstTimeHowTo to compile the code, but substituting the relevant parts for acquiring the source.

Also, it appears that you must reboot if you have loaded a HAL of a different version (this makes me deeply sad - it's not Windows).

Please only report issues other to those in trunk to this ticket. This does not mean issues in the compilation or normal use of the driver. You pretty much must try the regular support channels first.


Original Description - for history purposes only, contains no instructions or information you need to follow today to get AR5007 support:

The Abit AirPacer WLP-01 PCI-Express x1 802.11g adapter PCI device-id 001c returns "HAL status 13". I have tried the HAL SVN branch, and HAL 0.9.30.7 from people.freebsd.org/~sam/ath_hal-20070201.tgz still not supported. I have verified the chipset in the summary by visual inspection (i.e., I opened the RF shield and looked inside)

Change History

03/29/07 18:19:17 changed by Jeremy Jackson <jerj@coplanar.net>

I just tried the branch madwifi-hal-0.9.30.10, still get HAL status 13

05/02/07 19:24:22 changed by Jeremy Jackson <jerj@coplanar.net>

I just tried branch/madwifi-hal-0.9.30.13, still get HAL status 13

05/07/07 03:30:17 changed by mentor

Has it ever worked?

(in reply to: ↑ 10 ) 05/09/07 10:34:57 changed by mrenzmann

Replying to anonymous:

subversion r2318 still not working :(

Please stop this.

From what I can tell at this time, a new HAL might be necessary before AR5007 chipsets are supported (but this has yet to be confirmed by the HAL supplier). In other words: unless you see a new HAL committed to the repository (either in trunk or one of the branches), you tried this new HAL and still had no success, you don't need to tell us that any other change doesn't work.

06/08/07 02:10:08 changed by mentor

(in reply to: ↑ 18 ) 06/18/07 16:25:56 changed by anonymous

Replying to mike nillon:

I would know if there are some prevision for a futurer suport for this device on madwifi? thanks.

I don't think so... but recently I compiled the latest svn version of the madwifi-old-openhal branch. And surprisingly my ar2425 showed up as ath0, but when i tried to bring the interface up. My kernel started spitting outs errors. I'll post my dmesg output when I get home from work.

Can anyone else confirm this?

(in reply to: ↑ 22 ) 06/29/07 13:28:35 changed by grashalm

Replying to jose:

No, i have tried with openhal and the only thig that happens is the interface ath0 in te iwconfig list but no way to work =/. Actualy i'm wainting in hope of a new Hal with the support for this card. I need linux in my Notebook to work and the wifi driver is a big limitation for me.

same here. with openhal i have a wifi interface, but no connection possible. now i changed from 64bit to 32bit and installed the ndiswrapper with the windows xp 32bit driver. it works well - but it is only a workaround :( there are no windows xp 64bit driver for the ar2425 so i have to work with 32bit and wait for a new hal version ...

(follow-up: ↓ 25 ) 07/01/07 17:22:46 changed by andre

Good News! Recentily I've recevied an email from Sam Leffer in response for a question about the support for this chipset. In the e-mail he says "it's comming".

(in reply to: ↑ 24 ) 07/02/07 06:28:41 changed by mrenzmann

Replying to andre:

Recentily I've recevied an email from Sam Leffer in response for a question about the support for this chipset. In the e-mail he says "it's comming".

Thanks for the information.

07/12/07 18:48:57 changed by Andre

Suport for AR2425 chipset it very soon?

In a discussion forum Sam Leffler The HAL developer said this:

"Support for the 2425 parts is in test and should happen soonish. With luck support for that will come with a new hal release as opposed to the test drops I've made that have all had issues making them unsuitable for general use.

Sam"

answering a question about hal support for a device.

I'm brazilian and english is not a common language here, but it seens that 2425 it's the chipset AR2425 (AR5007EG), or not?

Well, any news about this I'll post here. =D

(follow-up: ↓ 32 ) 07/13/07 19:40:51 changed by grashalm

it seens that 2425 it's the chipset AR2425 (AR5007EG), or not?

that is right! Do you have a link to the post?

greets grashalm

(in reply to: ↑ 31 ) 07/16/07 04:52:11 changed by anonymous

Replying to grashalm:

it seens that 2425 it's the chipset AR2425 (AR5007EG), or not?

that is right! Do you have a link to the post? greets grashalm

Replying to grashalm:

it seens that 2425 it's the chipset AR2425 (AR5007EG), or not?

that is right! Do you have a link to the post? greets grashalm

Yes : www.nabble.com/Atheros-AR5008E-3NX-chip-tf4057571.html#a11551164

07/26/07 02:11:51 changed by mentor

  • priority changed from major to minor.
  • type changed from defect to enhancement.
  • summary changed from chipset AR5007EG - AR2425 not supported by HAL to Hardware Support: AR5007EG.

(follow-up: ↓ 353 ) 07/27/07 00:18:00 changed by mentor

Any "me too!" comments on this ticket will be summarily deleted. Please restrain yourselves to adding new and relevant information.

When a new HAL appears that supports this, it will be integrated at the normal rate.

08/07/07 01:29:34 changed by mentor

I don't understand how I can be any more clear... When there is a new HAL, we will update MadWiFi to use it...

Bumping tickets won't make us fix them more quickly. The reason that they haven't been fixed, is because we don't know how to yet, or we haven't had time to yet. Bumping the tickets is likely to just annoy us. If we are not moving fast enough for you, then well-conceived and implemented patches are welcome, and are likely to be integrated quickly.

08/15/07 00:41:20 changed by mentor

I would encourage any documentation and collected support information for getting cards working using NDISwrapper to be put on a relevant page on the wiki, not in the bug/task tracking system for the driver.

08/27/07 22:11:39 changed by anonymous

just out of curiosity how do you force a module onto a pci id?

09/02/07 12:03:41 changed by kinaeng@gmail.com

I have Atheros AR5007EG (AR5BXB63) card in my Acer Aspire 3680. This is error that I got:-

Aug 19 08:03:49 computer kernel: ath_hal: module license 'Proprietary' taints kernel.
Aug 19 08:03:49 computer kernel: ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Aug 19 08:03:49 computer kernel: wlan: 0.8.4.2 (0.9.3.1)
Aug 19 08:03:49 computer kernel: ath_pci: 0.9.4.5 (0.9.3.1)
Aug 19 08:03:49 computer kernel: PCI: Enabling device 0000:03:00.0 (0000 -> 0002)
Aug 19 08:03:49 computer kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
Aug 19 08:03:49 computer kernel: wifi%d: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)
Aug 19 08:03:49 computer kernel: ACPI: PCI interrupt for device 0000:03:00.0 disabled

lspci -v:

03:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0428
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at 6c100000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel

Thanks.

09/03/07 01:56:06 changed by anonymous

read the thread all of us are waiting for a new HAL version... if you are really desperate and can't wait you can use ndiswrapper (version 1.45+)

(follow-up: ↓ 54 ) 09/04/07 11:34:41 changed by mickflemm

Can someone please run ath_info (trunk/tools/ath_info.c) on this card (after loading madwifi-old-openhal) and post the output ???

(in reply to: ↑ 53 ; follow-up: ↓ 56 ) 09/04/07 17:46:44 changed by anonymous

Replying to mickflemm:

Can someone please run ath_info (trunk/tools/ath_info.c) on this card (after loading madwifi-old-openhal) and post the output ???

Here is mine... I am running Ubuntu 7.10 (gusty) kernel 2.6.22-10 After loading openhal Dmesg:

[ 40.220151] ath_pci: 0.9.5.0-BSD (EXPERIMENTAL)

[ 40.220220] ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 16

[ 40.220231] PCI: Setting latency timer of device 0000:02:00.0 to 64

[ 40.260064] ath_hal: Atheros HW found

[ 40.260067] ath_hal: MAC version: 5213

[ 40.260069] ath_hal: PHY version: 5110

[ 40.260071] ath_hal: EEPROM version: 5.3

[ 40.260529] Build date: Sep 4 2007

[ 40.260531] Debugging version (IEEE80211)

[ 40.260534] ath0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps

[ 40.260544] ath0: H/W encryption support: WEP

[ 40.260548] ath0: mac 14.2 phy 7.0 radio 0.0

[ 40.260551] ath0: Use hw queue 1 for WME_AC_BE traffic

[ 40.260554] ath0: Use hw queue 0 for WME_AC_BK traffic

[ 40.260557] ath0: Use hw queue 2 for WME_AC_VI traffic

[ 40.260559] ath0: Use hw queue 3 for WME_AC_VO traffic

[ 40.260562] ath0: Use hw queue 6 for CAB traffic

[ 40.260564] ath0: Use hw queue 7 for beacons

[ 40.260566] Debugging version (ATH)

[ 40.260569] ath0: AR5212: mem=0x8c000000, irq=16

I think I am doing this wrong but... after compiling and running ath_info in the trunk i do

sudo ./ath_info 00:19:7D:F2:EC:XX <- my card's mac address... right?

i get...

Unable to read EEPROM Magic value !

(in reply to: ↑ 54 ) 09/04/07 18:06:27 changed by anonymous

Replying to anonymous:

Replying to mickflemm:

Can someone please run ath_info (trunk/tools/ath_info.c) on this card (after loading madwifi-old-openhal) and post the output ???

Here is mine... I am running Ubuntu 7.10 (gusty) kernel 2.6.22-10 After loading openhal Dmesg: [ 40.220151] ath_pci: 0.9.5.0-BSD (EXPERIMENTAL) [ 40.220220] ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 16 [ 40.220231] PCI: Setting latency timer of device 0000:02:00.0 to 64 [ 40.260064] ath_hal: Atheros HW found [ 40.260067] ath_hal: MAC version: 5213 [ 40.260069] ath_hal: PHY version: 5110 [ 40.260071] ath_hal: EEPROM version: 5.3 [ 40.260529] Build date: Sep 4 2007 [ 40.260531] Debugging version (IEEE80211) [ 40.260534] ath0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 40.260544] ath0: H/W encryption support: WEP [ 40.260548] ath0: mac 14.2 phy 7.0 radio 0.0 [ 40.260551] ath0: Use hw queue 1 for WME_AC_BE traffic [ 40.260554] ath0: Use hw queue 0 for WME_AC_BK traffic [ 40.260557] ath0: Use hw queue 2 for WME_AC_VI traffic [ 40.260559] ath0: Use hw queue 3 for WME_AC_VO traffic [ 40.260562] ath0: Use hw queue 6 for CAB traffic [ 40.260564] ath0: Use hw queue 7 for beacons [ 40.260566] Debugging version (ATH) [ 40.260569] ath0: AR5212: mem=0x8c000000, irq=16 I think I am doing this wrong but... after compiling and running ath_info in the trunk i do sudo ./ath_info 00:19:7D:F2:EC:XX <- my card's mac address... right? i get... Unable to read EEPROM Magic value !

Oh shoot I am sorry... I should have read the source file first here is what i get now...

sudo ./ath_info 0x8c000000 Invalid EEPROM Magic number !

09/06/07 08:55:15 changed by anonymous

Ubuntu 7.10 kernel 2.6.22-10 svn r2704

[320509.396117] ath_hal: OpenHAL loaded (AR5210, AR5211, AR5212, RF5110/1/2)
[320509.401359] wlan: 0.8.6.0 (EXPERIMENTAL)
[320509.402582] ath_rate_sample: 1.2
[320509.407365] ath_pci: 0.9.5.0-BSD (EXPERIMENTAL)
[320509.407614] ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 17 (level, low) -> IRQ 17
[320509.407626] PCI: Setting latency timer of device 0000:07:00.0 to 64
[320509.407648] ath_hal: Device not supported (0xffffffff)
[320509.407652] ath_attach: unable to attach hardware: 'Hardware revision not supported' (HAL status 8)
[320509.407665] ACPI: PCI interrupt for device 0000:07:00.0 disabled
sudo lspci -vv
07:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 <64us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <512ns, L1 <64us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000

sudo ./ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

(in reply to: ↑ 58 ; follow-up: ↓ 60 ) 09/10/07 10:57:04 changed by mrenzmann

Replying to anonymous:

You do a great job, but Atheros does not deserve our money or your effort unless they provide for timely HAL updates.

HAL updates are not delivered by Atheros, but by Sam Leffler. So Atheros is not to blame in this case.

(in reply to: ↑ 59 ) 09/10/07 18:11:30 changed by anonymous

Replying to mrenzmann:

HAL updates are not delivered by Atheros, but by Sam Leffler. So Atheros is not to blame in this case.

but for lack of official Linux support they are to blame.

(follow-up: ↓ 62 ) 09/10/07 19:40:26 changed by smoobs

Regardless of who is responsible for the lack of support, is there any way we can speed up the process?

Though I do understand that these things take time, it pains me to continue using Windows on a daily basis just because my Atheros chipset remains unsupported..

(in reply to: ↑ 61 ) 09/11/07 06:31:25 changed by mrenzmann

Replying to smoobs:

Regardless of who is responsible for the lack of support, is there any way we can speed up the process?

It won't make sense to push Sam for AR5007 support in his HAL, as he said he's already working on it. He is known to be a busy person, mostly because of the fact he's self-employed. Pushing him likely annoys him, but does not help AR5007 support to occur earlier.

A better option would be to test madwifi-old-openhal and/or ath5k with your card and report the results back. The output of ath_info will also be helpful. This will help to make AR5007 support happen inside the OpenHAL (assuming that AR5007 is similar to the other Atheros chipsets).

(follow-up: ↓ 64 ) 09/11/07 09:01:40 changed by anonymous

but ath_info doesn't even work with this card...

(in reply to: ↑ 63 ) 09/11/07 09:22:59 changed by mrenzmann

Replying to anonymous:

but ath_info doesn't even work with this card...

Details, please. Did you try the latest version of ath_info (r2706)? What problems did you spot exactly?

(follow-up: ↓ 66 ) 09/11/07 11:07:17 changed by anonymous

Ubuntu 7.10 kernel 2.6.22-11 svn r2706

sudo lspci -v
07:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Flags: fast devsel, IRQ 17
        Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

sudo ./ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

perhaps I'm making a mistake?

(in reply to: ↑ 65 ; follow-up: ↓ 69 ) 09/11/07 11:42:21 changed by mrenzmann

Replying to anonymous:

perhaps I'm making a mistake?

If the driver modules are not loaded (or if they are not able to initialize the card, which would be the case here) you need to enable the card with setpci first (as explained in the ath_info manpage). In your case that command is:

setpci -s 07:00.0 command=0x41f cache_line_size=0x10

Please try and give a short feedback.

(follow-up: ↓ 68 ) 09/11/07 16:43:58 changed by smoobs

@mrenzmann,

Point taken. As a relative newbie I'm anxious to help as much as I can, but I can't figure out how to compile or install ath_info. If you can help me out there I'll be happy to post the results.

Otherwise, I'll just assume I should leave this stuff to the techies.

(in reply to: ↑ 67 ) 09/11/07 17:32:49 changed by anonymous

Replying to smoobs:

@mrenzmann, Point taken. As a relative newbie I'm anxious to help as much as I can, but I can't figure out how to compile or install ath_info. If you can help me out there I'll be happy to post the results. Otherwise, I'll just assume I should leave this stuff to the techies.

same result

sudo setpci -s 07:00.0 command=0x41f cache_line_size=0x10
sudo ./ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

(in reply to: ↑ 66 ; follow-up: ↓ 70 ) 09/11/07 21:51:25 changed by kinaeng@gmail.com

Replying to mrenzmann:

Replying to anonymous:

perhaps I'm making a mistake?

If the driver modules are not loaded (or if they are not able to initialize the card, which would be the case here) you need to enable the card with setpci first (as explained in the ath_info manpage). In your case that command is: {{{ setpci -s 07:00.0 command=0x41f cache_line_size=0x10 }}} Please try and give a short feedback.

Fedora 7 2.6.22.4-65.fc7 - r2706

ath_hal: OpenHAL loaded (AR5210, AR5211, AR5212, RF5110/1/2)
wlan: 0.8.6.0 (EXPERIMENTAL)
ath_rate_sample: 1.2
ath_pci: 0.9.5.0-BSD (EXPERIMENTAL)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
ath_hal: Device not supported (0xe2)
ath_attach: unable to attach hardware: 'Hardware revision not supported' (HAL status 8)
ACPI: PCI interrupt for device 0000:03:00.0 disabled

lspci -v

03:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0428
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at 6c100000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel

./ath_info 0x6c100000

[root@izwan-computer tools]# ./ath_info 0x6c100000
Invalid EEPROM Magic number !

(in reply to: ↑ 69 ; follow-up: ↓ 71 ) 09/12/07 08:40:07 changed by Marco

For me is the same:

Debian Sid 2.6.23-rc5 - svn 2706 (madwifi-ng not openhal)

lspci -v

05:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
	Subsystem: AMBIT Microsystem Corp. Unknown device 0428
	Flags: fast devsel, IRQ 18
	Memory at d0100000 (64-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: [40] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
	Capabilities: [60] Express Legacy Endpoint IRQ 0
	Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel


dmseg:

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
wlan: 0.8.4.2 (0.9.4)
ath_pci: 0.9.4.5 (0.9.4)
ACPI: PCI Interrupt 0000:05:00.0[A] -> GSI 19 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:05:00.0 to 64
ath_attach: devid 0x1c
MadWifi: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)
ACPI: PCI interrupt for device 0000:05:00.0 disabled

./ath_info 0xd0100000

Unable to read EEPROM Magic value !

Tried also with openhal... same result. Thanks for your work.

(in reply to: ↑ 70 ) 09/12/07 10:47:52 changed by mrenzmann

Replying to Marco:

Memory at d0100000 (64-bit, non-prefetchable) [disabled] [size=64K]

Looks like you did not enable the device with setpci as explained above.

09/12/07 11:19:29 changed by mickflemm

Hello ppl, i updated ath_info, plz try again (ignore phy revision for now, i don't know it yet so it'll print the last name on the list instead of the normal name -hopefully after your feedback we'll learn the phy revision as well-).

09/12/07 16:00:34 changed by anonymous

Whoo Hoo!!!

Got some different output running sudo ./ath_info 0x8c000000

Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  2425 (0xe0)
MAC Revision: 2425 (0xe2)
PHY Revision: 5110 (0x0)
 -==EEPROM Information==-
EEPROM Version:     5.3
EEPROM Size:        4K
Regulatory Domain:  0x65
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: yes  |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 300000000 DI e200000003

09/12/07 19:50:29 changed by kinaeng@gmail.com

Fedora 7

[root@izwan-computer ~]# ./ath_info 0x6c100000
Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  2425 (0xe0) 
MAC Revision: 2425 (0xe2) 
PHY Revision: 5110 (0x0) 
 -==EEPROM Information==-
EEPROM Version:     5.3 
EEPROM Size:        4K
Regulatory Domain:  0x65 
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: yes  |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00008000 DO 00000000 DI 0000000b

09/13/07 03:25:02 changed by anonymous

ubuntu 7.10 kernel 2.6.22-11 svn r2707

lspci -vv
07:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 <64us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <512ns, L1 <64us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000

sudo setpci -s 07:00.0 command=0x41f cache_line_size=0x10
sudo ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

I'm obviously missing something here... anyone can point me to my mistake?

09/13/07 03:38:22 changed by anonymous

02:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0428
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 8c100000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 <64us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <512ns, L1 <64us
                Link: ASPM Disabled RCB 128 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
# ./ath_info 0x8c100000
Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  2425 (0xe0) 
MAC Revision: 2425 (0xe2) 
PHY Revision: 5110 (0x0) 
 -==EEPROM Information==-
EEPROM Version:     5.3 
EEPROM Size:        4K
Regulatory Domain:  0x65 
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: yes  |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 0000000a

09/13/07 08:17:12 changed by Marco

I tried again vith ath_info from svn r2707. lspci -v: (This thime with setpci -s 05:00.0 command=0x41f cache_line_size=0x10)

05:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
	Subsystem: AMBIT Microsystem Corp. Unknown device 0428
	Flags: bus master, fast devsel, latency 0, IRQ 18
	Memory at d0100000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
	Capabilities: [60] Express Legacy Endpoint IRQ 0
	Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel

But the result is always:

Unable to read EEPROM Magic value !

Perhaps I did something wrong....

09/13/07 09:39:32 changed by Marco

Last thing is strange, because anonymous with same hardware, i think (Subsystem: AMBIT Microsystem Corp. Unknown device 0428) succeded in obtaining ath_info.

The only thing different from a diff of lspci --vv are (bolded):


anonymous:

Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping- SERR- FastB2B-

Flags: PMEClk- DSI- D1- D2- AuxCurrent?=375mA PME(D0-,D1-,D2-,D3hot+,D3cold-)


mine:

Control: I/O+ Mem+ BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping- SERR+ FastB2B-

Flags: PMEClk- DSI- D1- D2- AuxCurrent?=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)

Only my 2 cents.

09/15/07 15:50:03 changed by roadkill

ubuntu 7.10 kernel 2.6.22-11 svn r2709

sudo setpci -s 07:00.0 command=0x41f cache_line_size=0x10
07:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 <64us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <512ns, L1 <64us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000

sudo ./ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

help?

(follow-up: ↓ 81 ) 09/15/07 15:55:50 changed by roadkill

ubuntu 7.10 kernel 2.6.22-11 svn r2709

ath_info fd6f0000
Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  5210 (0x0) 
MAC Revision: 5210 (0x0) 
5Ghz PHY Revision: 5110 (0x9) 
2Ghz PHY Revision: 5110 (0x9) 
 -==EEPROM Information==-
EEPROM Version:     5.c63 
EEPROM Size:        4K
Regulatory Domain:  0x5C63 
 -==== Capabilities ====-
|  802.11a Support: yes  |
|  802.11b Support: yes  |
|  802.11g Support: no   |
|  RFKill  Support: yes  |
|  32KHz   Crystal: yes  |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 00000000

got it ;)

(in reply to: ↑ 80 ) 09/17/07 11:27:23 changed by anonymous

Replying to roadkill:

ubuntu 7.10 kernel 2.6.22-11 svn r2709 {{{ ath_info fd6f0000 Warning: Invalid EEPROM Magic number ! -==Device Information==- MAC Version: 5210 (0x0) MAC Revision: 5210 (0x0) 5Ghz PHY Revision: 5110 (0x9) 2Ghz PHY Revision: 5110 (0x9) -==EEPROM Information==- EEPROM Version: 5.c63 EEPROM Size: 4K Regulatory Domain: 0x5C63 -==== Capabilities ====- | 802.11a Support: yes | | 802.11b Support: yes | | 802.11g Support: no | | RFKill Support: yes | | 32KHz Crystal: yes | ======================== GPIO registers: CR 00000000 DO 00000000 DI 00000000 }}} got it ;)

it looks like a different card

09/18/07 11:41:21 changed by roadkill

ubuntu 7.10 kernel 2.6.22-11 svn r2712

sudo setpci -s 07:00.0 command=0x41f cache_line_size=0x10
07:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Flags: fast devsel, IRQ 17
        Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

sudo ./ath_info fd6f0000
Unable to read EEPROM Magic value !

sudo ./ath_info 0xfd6f0000
Unable to read EEPROM Magic value !

Looks like last changes have broken ath_info for me ...

09/18/07 16:06:05 changed by kinaeng@gmail.com

Fedora 7 - r2712

Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  2425 (0xe0) 
MAC Revision: 2425 (0xe2) 
PHY Revision: 5110 (0x0) 
 -==EEPROM Information==-
EEPROM Version:     5.3 
EEPROM Size:        4K
Regulatory Domain:  0x65 
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: yes  |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 0000000b

09/18/07 16:12:53 changed by roadkill

sudo lspci -v

07:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Flags: fast devsel, IRQ 17
        Memory at fd6f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

sudo ./ath_info fd6f0000

Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  5210 (0x0) 
MAC Revision: 5210 (0x0) 
PHY Revision: 5110 (0x9) 
 -==EEPROM Information==-
EEPROM Version:     1.62 
EEPROM Size:        4K
Regulatory Domain:  0x1062 
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: yes  |
|  802.11g Support: no   |
|  RFKill  Support: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 00000000

I did absolutely nothing different I don't get it...

10/10/07 22:36:51 changed by roadkill

I didn't managed to make it work either, Gullible would it be possible to post a log/dmesg so we could see what have we done diffrently?

10/13/07 13:37:55 changed by anonymous

i have only manage for now to bring device UP ..

[ 2031.598212] ath_hal: OpenHAL loaded (AR5210, AR5211, AR5212, RF5110/1/2) [ 2031.623263] wlan: 0.8.6.0 (EXPERIMENTAL) [ 2031.625124] ath_rate_sample: 1.2 [ 2031.627507] ath_pci: 0.9.5.0-BSD (EXPERIMENTAL) [ 2031.627571] ACPI: PCI Interrupt 0000:05:00.0[A] -> Link [LK4E] -> GSI 19 (level, low) -> IRQ 19 [ 2031.627585] PCI: Setting latency timer of device 0000:05:00.0 to 64 [ 2031.667363] ath_hal: MAC revision: 2425 (0xe2) [ 2031.667368] ath_hal: EEPROM version: 5.3 [ 2031.667657] Build date: Oct 12 2007 [ 2031.667661] Debugging version (IEEE80211) [ 2031.667664] ath0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 2031.667675] ath0: H/W encryption support: WEP [ 2031.667678] ath0: mac 14.2 phy 7.0 radio 0.0 [ 2031.667682] ath0: Use hw queue 1 for WME_AC_BE traffic [ 2031.667684] ath0: Use hw queue 0 for WME_AC_BK traffic [ 2031.667686] ath0: Use hw queue 2 for WME_AC_VI traffic [ 2031.667689] ath0: Use hw queue 3 for WME_AC_VO traffic [ 2031.667691] ath0: Use hw queue 6 for CAB traffic [ 2031.667694] ath0: Use hw queue 7 for beacons [ 2031.667695] Debugging version (ATH) [ 2031.667699] ath0: AR5212: mem=0xf0400000, irq=19 [ 2031.733924] ath5k_hw_set_txpower_limit: changing txpower to 100 [ 2031.733930] ath5k_hw_txpower: invalid tx power: 100 root@rut-laptop:~#

root@rut-laptop:~# ath_info 0xf0400000 Warning: Invalid EEPROM Magic number !

-==Device Information==-

MAC Version: 2425 (0xe0) MAC Revision: 2425 (0xe2) PHY Revision: 5110 (0x0)

-==EEPROM Information==-

EEPROM Version: 5.3 EEPROM Size: 4K Regulatory Domain: 0x65

-==== Capabilities ====-

| 802.11a Support: no | | 802.11b Support: no | | 802.11g Support: yes | | RFKill Support: yes | | 32KHz Crystal: no |

========================

GPIO registers: CR 00008000 DO b00000000 DI e20000000b root@rut-laptop:~#

that's all for now .. now i have to make it working ..

10/19/07 14:18:14 changed by nbd

Hey everybody. I would like to help getting this card supported. I need somebody with at least kernel compiling experience, the above mentioned card and some spare time (should take less than an hour). If you have all of the above, please join the irc channel #madwifi on irc.freenode.net and contact nbd

Thanks :)

10/19/07 14:57:46 changed by Roadkill

r2745 I think... but I have abit hardware not that mini-pci card

10/31/07 21:26:46 changed by anonymous

Tried it - same result.

11/01/07 04:01:54 changed by bruno

Tried the svn revision 2815 and the hal error switched from 13 to 3. Nice.

11/02/07 18:40:36 changed by Roadkill

Ubuntu 7.10 Kernel 2.6.22-14 SVN R2822 error code has changed

ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
wlan: 0.8.4.2 (svn r2818)
ath_pci: 0.9.4.5 (svn r2818)
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:07:00.0 to 64
MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
ACPI: PCI interrupt for device 0000:07:00.0 disabled

(in reply to: ↑ 125 ) 11/04/07 09:30:51 changed by mrenzmann

Replying to kevmif@yahoo.com:

Can we please have an update on this?

There is no update to what has been said above already. But since the ticket starts to be a little crowded with comments, here's a summary of the status quo:

AR5007 is not yet supported. We as MadWifi developers can't do anything about it since the support needs to be implemented in the HAL. The HAL supplier stated that he is working on it, and now we're waiting for a release of the result.

11/04/07 13:04:25 changed by Roadkill

but as I gather Madwifi is moving away from closed HAL to AR5K. couldn't something be done to support AR5007EG in AR5K? TIA

11/06/07 14:37:01 changed by anonymous

Hello ppl...

About ath5k support...

First the good news: It seems this card has the same EEPROM version as 5414/5424+ single chip cards and we can read it and hopefully get what we want from it (EEPROM has changed a lot on 5416/5418 so we 're lucky this card has the older EEPROM), ignore the invalid magic number (seems they have changed it from 5aa5 to a55a -plz someone try changing the value inside ath_info.c and retry). Also attach works ok and it has the same behaviour as 5414 on ath5k (at least that's what i've tested). So i believe when we fix 5414/5424 support (currently working on this) we can hope this card will work too.

And the not-so-good news: Although MAC is possible to match, it's possible that PHY part is much different and that it won't work at all ;-(

We'll keep you posted if we get something useful, until then Sam has the key...

11/06/07 14:38:13 changed by mickflemm

Previous "anonymous" was me (grr session ended soon :P)

(in reply to: ↑ 133 ) 11/09/07 17:15:17 changed by mrenzmann

Replying to percy:

Where did they get that driver and where can I get it?

See About/ath5k and (soon) http://ath5k.org (right now that domain still just redirects, but soon will be a separate site).

11/10/07 14:06:26 changed by Roadkill

svn co hxxp://svn.madwifi.org/ath5k/ make && sudo make install

11/13/07 20:05:39 changed by stgraham2000@yahoo.com

I have a wireless card with the AR2417A chipset - newest member of the AR5007 family. I managed to get ath5k compiling on my MIPS platform using rev 2701 - btw in order to get all the symbols resolved for MIPS you need to include "linux/delay.h" into all .c files that use "mdelay" or "udelay", or you can put the include into ath5k.h. MIPS brings in these two functions statically and there were a couple of .c files that were implicitly defining the function since they were not including the header file and that was causing unresolved symbols during my insmod.

After I managed to get the the driver insmod'ed it was not probing my card. Turns out my PCI ID is "0x1D" and the list of supported ids in ath5k_base.c does not include this yet.

When do you expect to support this chipset? Is there any information I can pull off my card in order to expediate the process? I tried to blindly add my PCI ID to the table to force a probe and ath5k_hw.c kicked me out because of an unsupported "sver" (makes sense). I printk'd some values during probing and here they are:

Nov 13 18:32:25 localhost kernel: SDG: Probing ath5k Nov 13 18:32:25 localhost kernel: SDG: ah_version is 0x2 Nov 13 18:32:25 localhost kernel: SDG: ah_mac_srev is 0xf0 Nov 13 18:32:25 localhost kernel: SDG: ah_mac_version is 0xf Nov 13 18:32:25 localhost kernel: SDG: ah_mac_revision is 0x0 Nov 13 18:32:25 localhost kernel: ath5k: Device not supported (0xf0)

Let me know if there is anything else I can do to help add this chipset into the driver.

(in reply to: ↑ 142 ) 11/15/07 07:19:03 changed by mrenzmann

Replying to Sean:

Would it be possible to disguise this card in ath5k as a 5211 to see if it would work?

Maybe that would be possible, but even then it's a waste of time. Despite of the misinterpreted meaning of the driver name AR5007 differs from most other Atheros chipsets in the way the driver needs to talk to it. Making the driver think it deals with a different chipset thus obviously won't bring you anywhere closer to a working support.

(in reply to: ↑ 144 ; follow-up: ↓ 147 ) 11/15/07 12:54:10 changed by mrenzmann

Replying to kinaeng@gmail.com:

is this mean AR5007EG is finally supported by ath5k driver?

To the best of my knowledge: no.

(in reply to: ↑ 145 ) 11/17/07 00:50:45 changed by anonymous

Replying to mrenzmann:

Replying to kinaeng@gmail.com:

is this mean AR5007EG is finally supported by ath5k driver?

To the best of my knowledge: no.

But Fedora 8 got it working...

11/17/07 01:21:51 changed by mickflemm

We got RF5413/5414 to work (well with poor RF quality but we 're working on it), patches are committed on current wireless-2.6 tree (http://www.linuxwireless.org/en/developers/git-guide). If anyone wants to try if that card is working too, plz edit drivers/net/wireless/ath5k/hw.c to skip srev check in ath5k_hw_attach and see what happens. We need feedback ppl and we might be lucky ;-)

11/17/07 22:59:11 changed by SmallFootprint

I note that the new ASUS eee-pc is rumored to have the AR5007EG - the label on the bottom of it says it is a: Atheros AR5BXB63. lspci reports it as a AR5006EG, with Unknown device 1a3b:1026. The Ubuntu madwifi drivers give the same sorts of errors described above. We eee-pc owners are watching this thread closely... :) while we use ndiswrapper.

This is also of note, because ASUS ships a working ath_pci driver with their system - with hal, etc. (I don't understand all the intricacies.) ASUS is also not making the source code available.... We have whined to them to no avail, but y'all, having originated the software that they are using, would be in a better position to insist on source code release - perhaps to the benefit of everybody.

11/19/07 11:52:06 changed by mrenzmann

Guys, please stop the "me too" comments. We are aware that a lot of users are suffering from this problem, but unless you have new information all "me too" comments are just adding noise to the already pretty huge ticket.

11/19/07 23:22:57 changed by anonymous

So, mrenzmann, may I ask you to state briefly which steps are needed to compile and test the latest code, so that we owners of machines with this card can help more effectively?

11/19/07 23:26:03 changed by nbd

There is no way for you to help with AR5007EG right now, unless you're a kernel hacker or reverse engineer.

(in reply to: ↑ 164 ) 11/22/07 10:46:03 changed by mrenzmann

Replying to Roadkill:

there is source code for eee available I just grabbed it (1.7GB!)

It's probably "nice to know" what driver etc. they use to solve this problem, but this won't help us for MadWifi. We won't incorporate a third-party HAL and we won't switch the HAL vendor, for various reasons (which I won't discuss here - questions in that regard should be forwarded to the madwifi-devel list, they will be ignored here).

(in reply to: ↑ 166 ) 11/22/07 14:59:50 changed by mrenzmann

Replying to Roadkill:

if I need to I'll modify it myself.

Of course you can do that. I just wanted to make sure people understand that this is not the road the project will take to get AR5007 support in MadWifi.

11/29/07 01:42:11 changed by mickflemm

Hello ppl ;-)

There is a way to make regdumps from ndiswrapper, so even if madwifi doesn't support this chipset we can get what we want from the windows driver. Plz give us some time to work some things out first and then we'll ask for volunteers etc (currently we're stuck at some pci-e related issue, it seems that pci-e cards have a different wake-up process we need to find out before we continue)...

(in reply to: ↑ 172 ) 11/29/07 06:06:38 changed by mrenzmann

Replying to Roadkill:

Asus has released source code for eeepc

... but without the sources for their modified version of MadWifi (and I still believe that this is a version of MadWifi as Atheros seems to offer to its customers).

(in reply to: ↑ 176 ; follow-up: ↓ 178 ) 11/30/07 07:40:29 changed by mrenzmann

Replying to Lonni J Friedman <netllama@linux-sxs.org>:

the Acer Travelmate 2480 is also afflicted

Make that "can be" - I have a Travelmate 2483 with an AR5005-based WLAN card built in. To determine whether a Travelmate is affected by this issue look at the sticker on the bottom of the notebook - if it says the built-in WLAN card model is "AR5BXB63" it's based on the AR5007 chipset and thus is affected.

(in reply to: ↑ 177 ) 11/30/07 16:38:01 changed by anonymous

Replying to mrenzmann:

Replying to Lonni J Friedman <netllama@linux-sxs.org>:

the Acer Travelmate 2480 is also afflicted

Make that "can be" - I have a Travelmate 2483 with an AR5005-based WLAN card built in. To determine whether a Travelmate is affected by this issue look at the sticker on the bottom of the notebook - if it says the built-in WLAN card model is "AR5BXB63" it's based on the AR5007 chipset and thus is affected.

I'm not sure what you're getting at with your comment. Are you suggesting that Acer is shipping Travelmate 2480's with different wireless chipsets? I certainly wouldn't assume that your 2483 is the same as my 2480. Different model numbers would suggest different components.

At any rate, mine has the Atheros AR5BXB63, and is afflicted.

(in reply to: ↑ 163 ) 12/01/07 00:26:17 changed by gekkeprutser@gmail.com

Replying to mrenzmann:

As far as I know they use a MadWifi-derivate that is maintained by Atheros and have a different HAL at hands. This won't help us, as we don't have access to that HAL and can't use it (no, not even it one of the Eee users would grab them off of their Eee and send it to us).

I have an EEE and I'd be happy to send you all the files you need! Just email me what you need and I'll get it for you.

12/01/07 06:54:38 changed by quagga

Atheros posted a patch to a madwifi snapshot that will get madwifi working on a EEE. (with a 5007EG) See ticket #1679

My eee is working nicely with it in Ubuntu. :)

12/01/07 11:54:14 changed by nbd

... a patch which unfortunately cannot be committed to MadWiFi due to ABI breakages.

12/01/07 14:07:57 changed by Roadkill

I got it running with madwifi-ng-r2756

12/02/07 02:38:30 changed by bruno

(forgot to edit the 'anonymous' in the above post)

Yes, it does seem to work! I'm writing this through wifi0, from the card.

I followed rifkill's advice, then I manually rmmoded ndiswrapper, modprobed ath_hal, wlan and finally ath_pci.

Then I opened Wireless Assistant, scanned, logged in, just the same as with ndiswrapper.

Notebook is Acer Aspire 5570z.

Now I can dump ndiswrapper! Very happy!

Here's some output:

neutron:/home/bruno# uname -a
Linux neutron 2.6.22-1-686 #1 SMP Sun Jul 29 14:37:42 UTC 2007 i686 GNU/Linux

dmesg (i never managed to see these lines before):

ath_hal: 0.10.2.2-ATHEROS (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425)
wlan: 0.8.4.2 (svn r2992)
ath_pci: 0.9.4.5 (svn r2992)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
ath_pci: switching rfkill capability off
ath_rate_sample: 1.2 (svn r2992)
ath_pci: switching per-packet transmit power control off
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 14.2 phy 7.0 radio 10.2
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5424/2424: mem=0x8c100000, irq=17
udev: renamed network interface ath0 to wlan0
wlan0: no IPv6 routers present

lsmod:

neutron:/home/bruno# lsmod
Module                  Size  Used by
wlan_scan_sta          12480  1
ath_rate_sample        12736  1
ath_pci               138160  0
wlan                  206256  4 wlan_scan_sta,ath_rate_sample,ath_pci
ath_hal               279296  3 ath_rate_sample,ath_pci
i915                   22208  2
drm                    76020  3 i915
vmnet                  33012  12
vmmon                1800780  0
ppdev                   8676  0
parport_pc             33796  0
lp                     10980  0
parport                33960  3 ppdev,parport_pc,lp
button                  7920  0
ac                      5188  0
battery                 9988  0
ipv6                  236932  20
fuse                   41908  1
dm_snapshot            16516  0
dm_mirror              20896  0
dm_mod                 52000  2 dm_snapshot,dm_mirror
loop                   16932  0
pcmcia                 37100  0
firmware_class          9504  1 pcmcia
snd_hda_intel         239160  1
snd_pcm_oss            39200  0
snd_pcm                72324  2 snd_hda_intel,snd_pcm_oss
snd_mixer_oss          15424  1 snd_pcm_oss
tsdev                   7968  0
uvcvideo               42864  0
compat_ioctl32          1376  1 uvcvideo
videodev               26656  1 uvcvideo
v4l1_compat            12580  2 uvcvideo,videodev
joydev                  9568  0
snd_seq_dummy           3748  0
hci_usb                16220  0
v4l2_common            16608  2 uvcvideo,videodev
yenta_socket           24844  1
rsrc_nonstatic         11968  1 yenta_socket
pcmcia_core            37108  3 pcmcia,yenta_socket,rsrc_nonstatic
i2c_i801                8656  0
rtc                    12856  0
bluetooth              49348  1 hci_usb
iTCO_wdt                9924  0
snd_seq_oss            29408  0
snd_seq_midi_event      6880  1 snd_seq_oss
snd_seq                46320  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_timer              21028  2 snd_pcm,snd_seq
snd_seq_device          7692  3 snd_seq_dummy,snd_seq_oss,snd_seq
i2c_core               23552  1 i2c_i801
tifm_7xx1               7392  0
tifm_core              10180  1 tifm_7xx1
usbhid                 25792  0
hid                    25248  1 usbhid
snd                    48324  10 snd_hda_intel,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_seq,snd_timer,snd_seq_device
psmouse                36016  0
serio_raw               6692  0
soundcore               7520  1 snd
snd_page_alloc          9512  2 snd_hda_intel,snd_pcm
sky2                   40616  0
intel_agp              23188  1
agpgart                31912  3 drm,intel_agp
evdev                   9312  8
reiserfs              220320  4
sg                     32668  0
sr_mod                 16516  0
cdrom                  32832  1 sr_mod
sd_mod                 27136  6
generic                 4836  0 [permanent]
ide_core              113764  1 generic
uhci_hcd               22960  0
ehci_hcd               30796  0
ata_piix               13348  5
ata_generic             7556  0
libata                115600  2 ata_piix,ata_generic
scsi_mod              136620  4 sg,sr_mod,sd_mod,libata
usbcore               125064  6 uvcvideo,hci_usb,usbhid,uhci_hcd,ehci_hcd
thermal                13416  0
processor              31016  1 thermal
fan                     4836  0

I'm happy to provide any detail to anybody. Just ask here.

(in reply to: ↑ 196 ) 12/02/07 12:20:01 changed by anonymous

Replying to kinaeng@gmail.com:

Replying to kacsa (admin@megacp.com):

hello, can you send patch for me, which you could download (because the patch was remove) Thanks! kacsa

I think we should wait news from madwifi. I believe they will release the patch file once they know the origin of that file.

Ohhh, i can't wait :( So i want to use wifi! Please send patch for me!

(follow-up: ↓ 213 ) 12/03/07 00:34:48 changed by bruno

why was the patch removed from madwifi website?

12/03/07 03:58:42 changed by mentor


Right. This ticket is getting cleaned up to pertinent information only. This is not as discussion forum, but an ticket for tracking on issue. Noise makes it useless.

Any further misuse will result in the ticket being locked.


12/03/07 04:32:10 changed by mentor

Arg, Trac's administration interface seems to have had some issues with deleting the posts that I click on; my apologies for any information that may have been lost or dialogs that may not make any sense.

Also, if you wish to discuss what I have done here, you may do so on IRC (#madwifi), or by email (the -devel list, or my @madwifi.org address).

(in reply to: ↑ 205 ) 12/03/07 04:37:45 changed by mentor

Replying to bruno:

why was the patch removed from madwifi website?

I removed the patch when it was initially posted, because it was not clear who owned copyright on the patch and whether it violated the license of the HAL. Violating copyright is bad, mmmkay.

12/03/07 10:25:10 changed by mentor

For queries that are other than related to this ticket, please use our regular support channels.

12/05/07 19:25:32 changed by mrenzmann

For those who haven't noticed yet: "the" patch (for i386 AR5007 support) has been attached to ticket #1679 again. We're working with Atheros to find a solution to add AR5007 support also to the other platforms. Please be patient.

06/04/08 09:31:02 changed by proski

  • status changed from new to assigned.
  • owner set to proski.

The new HAL from Sam Leffler should fix AR5007EG support

06/06/08 21:34:33 changed by mentor

A new HAL has been made available by Sam Leffler (0.10.5.6) that supports AR2425 chips (AR5007* chipsets). This is a full HAL release so it should work for all platforms - that means x86-64.

The new HAL is currently in a branch, but should hopefull,y barring any other issues, be migrated to trunk soon. Tarballs are available from <http://snapshots.madwifi.org/special/> and Subversion access is at <https://svn.madwifi.org/madwifi/branches/madwifi-hal-0.10.5.6>.

Please would you test this HAL code and report any issues other to those in trunk to this ticket. A couple of replies saying it works would be nice, but please don't go overboard on the matter.

06/07/08 05:51:44 changed by anonymous

No luck with the new hal, on ubuntu 8.04, ath0 syas there are no scan results

06/07/08 06:11:56 changed by anonymous

second the failure to fix problem in ubuntu 8.04, no scan results

06/07/08 07:29:15 changed by proski

Error reporters, please provide following:

  • Your name or nickname, not "anonymous"
  • Output of "uname -a"
  • Output of "lspci -vnnd 168c:"
  • Output of iwconfig
  • Relevant parts of the kernel log as shown by dmesg
  • If there are any error messages from any command - the exact command and the exact error messages.
  • Results of testing with other versions of MadWifi, preferably svn trunk.

If you need any help with installation, please use standard support channels.

06/07/08 19:19:18 changed by android6011

Sorry, I was the second person to report that the svn link listed above did not work, but after a fresh install of Ubuntu Hardy 8.04, it does work, all I did was sudo apt-get update && apt-get dist-upgrade reboot sudo apt-get install build-essential subversion sudo svn checkout ...svn.... cd then sudo make && make install reboot and everything works fine

(follow-up: ↓ 227 ) 06/07/08 23:38:44 changed by polo

I've just tried the new HAL svn branch, unfortunately, like with the old one, dmesg reports a status 3 for HAL :

MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
ACPI: PCI interrupt for device 0000:14:00.0 disabled
APIC error on CPU0: 40(40)
APIC error on CPU1: 40(40)
APIC error on CPU0: 40(40)
APIC error on CPU1: 40(40)

At compile time, there's warnings :

warning:  Clock skew detected.  Your build may be incomplete.

uname

Linux dqsd 2.6.24.5-smp #2 SMP Wed Apr 30 13:41:38 CDT 2008 i686 AMD Turion(tm) 64 X2 Mobile Technology TL-60 AuthenticAMD GNU/Linux

lspci -v

14:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device [1468:042a]
        Flags: fast devsel, IRQ 20
        Memory at f8200000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint, MSI 00
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Kernel modules: ath_pci

iwconfig

lo        no wireless extensions.

eth0      no wireless extensions.

(in reply to: ↑ 226 ; follow-up: ↓ 228 ) 06/08/08 03:47:04 changed by proski

Replying to polo: If you tried loading an old HAL, you must reboot. And while at that, please set your clock properly, just for general sanity.

(in reply to: ↑ 227 ) 06/08/08 04:00:51 changed by anonymous

After a reboot and a modprobe alias ath0, it works better, I can see an ath0 and wifi0 in output of iwconfig

thanks a lot

Replying to proski:

Replying to polo: If you tried loading an old HAL, you must reboot. And while at that, please set your clock properly, just for general sanity.

06/11/08 21:09:57 changed by jjltrader@gmail.com

When I run lspci -v I get the following. I am also not able to get the wifi to work. I am running Ubunto 8.04

03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
	Subsystem: Hewlett-Packard Company Unknown device 137a
	Flags: fast devsel, IRQ 19
	Memory at f6000000 (64-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: <access denied>

Review of steps to fix this problem, as I understand it. (Please correct as needed.) Update HAL Reboot computer.

Anything else? Thanks

(follow-up: ↓ 234 ) 06/11/08 22:07:18 changed by proski

Please use "-vnn" is lspci option. "-nn" makes lspci show numeric IDs along with the names and "-v" ensures that the subsystem data is printed, as well as tells whether it's a PCIe card. The cards with the same vendor ID 168c:001c may be AR5006EG or AR5007EG. It's the subsystem ID that allows to distinguish between them.

06/12/08 01:00:57 changed by rafkind@cs.utah.edu

My Atheros AR5007EG works ok with r3704 from branches/madwifi-hal-0.10.5.6. I tried ndiswrapper with limited success and have only just started to use madwifi so it might still be flaky but it works so far.

I can connect to my router using WPA-Personal TKIP which is defined in /etc/wpa_supplicant/wpa_supplicant.conf.

I am running gentoo on a toshiba satellite a215 s4747.

06/12/08 03:57:11 changed by mentor

  • priority changed from minor to critical.
  • summary changed from Hardware Support: AR5007EG to Hardware Support: AR5007* (AR2425 chips).
  • description changed.
  • milestone set to version 0.9.5.

Bumping priority, as we can now do something about this, and adjusted milestone.

(follow-up: ↓ 236 ) 06/12/08 03:58:13 changed by mentor

There does not seem to be much noise regarding failures of the new HAL. Should we think about merging it fairly rapidly?

(in reply to: ↑ 230 ) 06/12/08 04:33:06 changed by jjltrader@gmail.com

Replying to proski:

Please use "-vnn" is lspci option. "-nn" makes lspci show numeric IDs along with the names and "-v" ensures that the subsystem data is printed, as well as tells whether it's a PCIe card. The cards with the same vendor ID 168c:001c may be AR5006EG or AR5007EG. It's the subsystem ID that allows to distinguish between them.

Below are the results of your advice. Thanks and I hope it helps. !!!

03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
	Subsystem: Hewlett-Packard Company Unknown device [103c:137a]
	Flags: fast devsel, IRQ 19
	Memory at f6000000 (64-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: <access denied>

(in reply to: ↑ 233 ; follow-up: ↓ 237 ) 06/12/08 06:08:02 changed by mrenzmann

Replying to mentor:

There does not seem to be much noise regarding failures of the new HAL.

Please note this mail from Bruno on madwifi-devel and the following mails in response to it.

Should we think about merging it fairly rapidly?

I'd say that the cause of the issues that Bruno reported should be investigated first.

(in reply to: ↑ 236 ) 06/12/08 06:12:57 changed by mentor

Replying to mrenzmann: Ack.

06/12/08 11:40:19 changed by anonymous

lspci (the device is AR5BXB63 - there is a sticker on laptop's bottom):

02:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device [1468:0428]
        Flags: fast devsel, IRQ 16
        Memory at 8c000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint, MSI 00
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Kernel modules: ath5k, ath_pci

modprobe:

MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)

And ath_info:

MAC revision 0xffff is not supported!

worked with kernel 2.6.25.3, stopped after upgrade to 2.6.25.4

06/12/08 19:37:35 changed by proski

When you get "Hardware didn't respond as expected" it's a sign that you have some other driver that tried to initialize the chipset and failed. Even the new HAL cannot recover the card after that. The system needs to be rebooted. But first make sure that no other version of MadWifi is installed. "make install" for MadWifi with the new HAL should remove older modules.

I checked Ubuntu 8.04 i386. It turns out it has MadWifi 0.9.4 installed as part of Linux restricted modules (linux-restricted-modules-2.6.24-18-generic). But installing the new MadWifi with "make install" removed those modules. The driver was working fine after the reboot. I was using NetworkManager and an AP with WPA2.

(follow-up: ↓ 256 ) 06/16/08 16:10:39 changed by luigi_curzi@yahoo.it

Comment removed by mentor. This person posted in the wrong place and must use the regular support channels

06/16/08 22:42:18 changed by HELIOS

Comment removed by mentor. This person posted in the wrong place and must use the regular support channels

06/17/08 02:46:56 changed by anonymous

on a slackware box with 2.6.21-5 kernel this new HAl (0.10 work) metter what past HAL. I see any much AP and inject better. Desktop use.

06/19/08 07:50:24 changed by polygon@gmail.com

Comment removed by mentor. This issue is not directly related to AR5007 hardware support. It would be better to use the regular support channels to get general information and find relevant tickets/issues.

06/19/08 07:51:40 changed by polygon89@gmail.com

Sorry for the ticket spam, but i mispelled my email address in my comment. It is polygon89@gmail.com

(in reply to: ↑ description ) 06/20/08 03:08:17 changed by chris

Comment removed by mentor. This person posted in the wrong place and must use the regular support channels

06/20/08 19:16:20 changed by brcha@gna.org

Extra logs removed by mentor as they were unnecessary

I am using the madwifi-hal-0.10.5.6-r3698-20080604.tar.gz snapshot and it works fine. I tried previous madwifi-ng snapshots, but they didn't recognize the card (hal error 13).

The computer I am using is Fujitsu-Siemens Esprimo Mobile V5535 notebook with Weasel GNU/Linux.

(in reply to: ↑ 240 ) 06/22/08 02:40:00 changed by mentor

Replying to luigi_curzi@yahoo.it: Please use the regular support channels for this request.

06/22/08 02:57:48 changed by mentor

  • description changed.

OK, Thanks. I believe we have enough reports that it works in general now.

06/22/08 20:23:42 changed by francis@giannaros.org

Have tried special, trunk, and the hal branch. All of them compile fine, but fail to work with dmesg output:

MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
ACPI: PCI interrupt for device 0000:06:00.0 disabled

It's a:

06:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

(follow-up: ↓ 260 ) 06/23/08 03:53:43 changed by francis@giannaros.org

Using the above, I managed to finally get it to work by editing modprobe.conf; documented it here.

(in reply to: ↑ 259 ; follow-up: ↓ 261 ) 06/23/08 15:15:50 changed by mentor

Replying to francis@giannaros.org:

Using the above, I managed to finally get it to work by editing modprobe.conf; documented it on opensuse.org/HCL/Network_Adapters_(Wireless)#Chipsets

Ah, I suspect I have managed to connect the symptom with the problem now. The ath5k modules need blacklisting. I suspect that even loading then will cause the madwifi HAL to be unable to initialise the device causing a HAL status 3. Apparently, resetting hardware is hard.

I shall make sure that the documentation is updated appropriately.

(in reply to: ↑ 260 ; follow-up: ↓ 262 ) 06/23/08 15:24:15 changed by francis@giannaros.org

Replying to mentor:

Replying to francis@giannaros.org:

Using the above, I managed to finally get it to work by editing modprobe.conf; documented it on opensuse.org/HCL/Network_Adapters_(Wireless)#Chipsets

Ah, I suspect I have managed to connect the symptom with the problem now. The ath5k modules need blacklisting. I suspect that even loading then will cause the madwifi HAL to be unable to initialise the device causing a HAL status 3. Apparently, resetting hardware is hard.

I should note that blacklisting the module itself wasn't enough (same HAL exit status error), but I had to also add those three lines to modprobe.conf to make it work.

(in reply to: ↑ 261 ) 06/23/08 18:43:28 changed by mentor

Replying to francis@giannaros.org:

I should note that blacklisting the module itself wasn't enough (same HAL exit status error), but I had to also add those three lines to modprobe.conf to make it work.

The only way I can see that this would affect things is that it changes the point at which kernel modules are loaded during boot, which I assumed had meant that ath5k does not get loaded. All other variables being the same, this should not have affected the operation of the HAL....

06/23/08 19:40:13 changed by francis@giannaros.org

Strange, I commented out those lines and it's working still. Perhaps I mucked up earlier with something else while testing; thanks.

06/27/08 01:45:30 changed by incith@gmail.com

Abit WLP-01 PCI-E:

04:00.0 Ethernet controller [0200]: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter [168c:001c] (rev 01)

Using revision 3746, always reports:

Jun 26 17:43:02 fnd02 ACPI: PCI Interrupt 0000:04:00.0[A] -> Link [APC2] -> GSI 17 (level, low) -> IRQ 17
Jun 26 17:43:02 fnd02 PCI: Setting latency timer of device 0000:04:00.0 to 64
Jun 26 17:43:02 fnd02 MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
Jun 26 17:43:02 fnd02 ACPI: PCI interrupt for device 0000:04:00.0 disabled

Also tried the new special HAL build.

06/27/08 01:51:37 changed by incith@gmail.com

Additional information: ath_info d6000000

MAC revision 0xffff is not supported!

lspci -vv:

04:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at d6000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr+ UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk-
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Kernel modules: ath_pci

06/27/08 03:38:05 changed by incith@gmail.com

Update, extracting the new HAL tar into an svn checkout of madwifi, installing that, rebooting, has worked. Everything is now fully working for me.

06/27/08 14:35:54 changed by hgsolari@gmail.com

I tried madwifi-hal-0.10.5.6-r3698-20080604 on an ACER 5050-4697 (AMD64 based) laptop with an AR5007EG device. Running kernel 2.6.24-rc3 (x86_64) on a mostly Debian/Etch system. Loading the module in the standard way, I can scan but consistently fail to connect using wifi-radar (1.9.8) or dhclient3 (3.0.4-13). But loading with autocreate=none and then creating the VPA with wlanconfig ath0 create wlandev wifi0 wlanmode sta works fine! dhcleint3 returns a warning (in all cases): wifi0: unknown hardware address type 801 there are no other warnings.

06/28/08 09:14:01 changed by incith@gmail.com

New PCI ID's file is identifying the 168c:001c differently now, per below:

04:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)

From pciids on sourceforge.

07/04/08 10:47:38 changed by mrenzmann

  • description changed.

07/06/08 06:53:27 changed by AW-GE870

Ubuntu 8.0.4 (Hardy-Heron)

uname -a: Linux D975XBX2KR 2.6.24-18-generic #1 SMP Wed May 28 20:27:26 UTC 2008 i686 GNU/Linux).

Device undetected using madwifi-0.9.4.

Installed madwifi-hal-0.10.5.6, device detected.

Device unstable, frequents disconnects, poor performance, unable to rebrand using ath_info.

Abit PCI-Express (Windows claims it's AR5007EG) 802.11b/g

Unable to confirm if the product ID has been modified but to the best of my knowledge it has not been but I am unable to confirm what the actual values should be for this card since I received the card from someone who is experimenting with rebrading Atheros based cards.

root@D975XBX2KR:/home/michael# lspci -s 02:00.0 -nnv
02:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)

Subsystem: Unknown device [1a3b:1033]
Flags: bus master, fast devsel, latency 0, IRQ 16
Memory at e0200000 (64-bit, non-prefetchable) [size=64K]
Capabilities: [40] Power Management version 2
Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
Capabilities: [60] Express Legacy Endpoint IRQ 0
Capabilities: [90] MSI-X: Enable- Mask- TabSize?=1


root@D975XBX2KR:/home/michael# ath_info 0xe0200000

-==Device Information==-

MAC Revision: 2425 (0xe2)
Warning: Invalid EEPROM Magic number[[br]] Device type: 3

/============== EEPROM Information =============\
| EEPROM Version: 5.3 | EEPROM Size: 4 kbit |
| EEMAP: 2 | Reg. Domain: 0x10 |
|================= Capabilities ================|
| 802.11a Support: no | Turbo-A disabled: yes |
| 802.11b Support: no | Turbo-G disabled: yes |
| 802.11g Support: yes | 2GHz XR disabled: yes |
| RFKill Support: no | 5GHz XR disabled: yes |
| 32kHz Crystal: no | |
\===============================================/

/=========================================================\
| Calibration data common for all modes |
|=========================================================|
| CCK/OFDM gain delta: 1 |
| CCK/OFDM power delta: 5 |
| Scaled CCK delta: 5 |
| 2GHz Antenna gain: 1 |
| 5GHz Antenna gain: 4 |
| Turbo 2W maximum dBm: 38 |
| Target power start: 0x16e |
| EAR Start: 0x1c8 |
\=========================================================/

/=========================================================\
| Calibration data for 802.11g operation |
|=========================================================|
| I power: 0x00 | Q power: 0x13 |
| Use fixed bias: 0x01 | Max turbo power: 0x26 |
| Max XR power: 0x20 | Switch Settling Time: 0x28 |
| Tx/Rx attenuation: 0x19 | TX end to XLNA On: 0x00 |
| TX end to XPA Off: 0x00 | TX end to XPA On: 0x0e |
| 62db Threshold: 0x1c | XLNA gain: 0x00 |
| XPD: 0x01 | XPD gain: 0x0a |
| I gain: 0x00 | Tx/Rx margin: 0x01 |
| False detect backoff: 0x00 | Noise Floor Threshold: -1 |
| ADC desired size: -38 | PGA desired size: -80 |
|=========================================================|
| Antenna control 0: 0x00 | Antenna control 1: 0x01 |
| Antenna control 2: 0x22 | Antenna control 3: 0x22 |
| Antenna control 4: 0x00 | Antenna control 5: 0x00 |
| Antenna control 6: 0x02 | Antenna control 7: 0x21 |
| Antenna control 8: 0x21 | Antenna control 9: 0x00 |
| Antenna control 10: 0x00 | Antenna control 11: 0x02 |
|=========================================================|
| Octave Band 0: 3 | db 0: 3 |
| Octave Band 1: 4 | db 1: 4 |
| Octave Band 2: 0 | db 2: 0 |
| Octave Band 3: 0 | db 3: 0 |
\=========================================================/
/============== Per rate power calibration ===========\
| Freq | 6-24Mbit/s | 36Mbit/s | 48Mbit/s | 54Mbit/s |
|======|============|==========|===========|==========|
| 2412 | 16.00 | 15.00 | 14.00 | 13.00 |
|======|============|==========|===========|==========|
| 2437 | 16.00 | 15.00 | 14.00 | 13.00 |
|======|============|==========|===========|==========|
| 2472 | 16.00 | 15.00 | 14.00 | 13.00 |
\=====================================================/
/=================== Per channel power calibration ====================\
| Freq | pwr_0 | pwr_1 | pwr_2 | pwr_3 |pwrx3_0|pwrx3_1|pwrx3_2|max_pwr|
| | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac | |
|======|=======|=======|=======|=======|=======|=======|=======|=======|
| 2412 | 24.02 | 8.02 | 0.00 | 24.02 | 0.00 | 0.00 | 34.01 | 24.02 |
| | [112] | [112] | [112] | [112] | [20] | [35] | [63] | |
\======================================================================/

GPIO registers: CR 0x00000000, DO 0x00000000, DI 0x0000000b
STA_ID0: 00:15:af:18:b9:a8[[br]] STA_ID1: 0x1a80a8b9, AP: 0, IBSS: 0, KeyCache? Disable: 0
TIMER0: 0x00000030, TBTT: 48, TU: 0x00160030
TIMER1: 0x0007ffff, DMAb: 65535, TU: 0x0015ffff (-49)
TIMER2: 0x01ffffff, SWBA: 65535, TU: 0x003fffff (+2752463)
TIMER3: 0x00000031, ATIM: 49, TU: 0x00160031 (+1)
TSF: 0x00000000563abd28, TSFTU: 36527, TU: 0x00158eaf
BEACON: 0x00000000
LAST_TSTP: 0x02000a03
root@D975XBX2KR:/home/michael#

07/06/08 13:43:39 changed by anonymous

The new hal (madwifi-hal-0.10.5.6-r3752-20080706.tar.gz) seems to work fine on Xubuntu 8.04 on Asus eeePC (701). Ubuntu's own Atheros drivers in linux-restricted-modules did not work at all.

(in reply to: ↑ description ; follow-up: ↓ 273 ) 07/09/08 09:24:57 changed by anonymous

Just to confirm that madwifi-hal-0.10.5.6-r3752-20080706 works fine for me. Ubuntu 7.10, Asus P5B-MX motherboard (Wifi-AP SOLO). Running as an access point (master mode, hostapd, dhcpd), connections are stable and working with anything I've tried so far.

lspci -v says:

02:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: Unknown device 1a3b:1034
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at fe9f0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

The first few lines of ath_info are:

 -==Device Information==-
MAC Revision: 2425  (0xe2)
Warning: Invalid EEPROM Magic number!
Device type:  3

/============== EEPROM Information =============\
| EEPROM Version:   5.3 | EEPROM Size:   4 kbit |
| EEMAP:              2 | Reg. Domain:     0x37 |
|================= Capabilities ================|
| 802.11a Support:  no  | Turbo-A disabled: yes |
| 802.11b Support:  no  | Turbo-G disabled: yes |
| 802.11g Support:  yes | 2GHz XR disabled: yes |
| RFKill  Support:  no  | 5GHz XR disabled: yes |
| 32kHz   Crystal:  no  |                       |
\===============================================/

(in reply to: ↑ 272 ; follow-up: ↓ 275 ) 07/09/08 17:52:51 changed by anonymous

[anonymous]:

Hello

I was sent to this page from a page titled "Fedora 8 and wpa_supplicant"

I found the above page in an effort to get my AR5007EG integrated wireless running under Fedora 8.

I've downloaded madwifi-hal-0.10.5.6-r3752-20080706.tar.gz, compiled and installed it.

Everything comes up as expected, but I'm having some problems.

Since I'm using madwifi-hal-0.10.5.6-r3752-20080706.tar.gz, I don't know if I need to go thru the normal support channels or ask my questions here.

Can someone please advise the correct way to go?

Mark (mark.juszczec@gmail.com)

07/09/08 22:45:33 changed by Polygon89

I commented before that while the new drivers worked, but were unstable and half the time it didnt connect, turns out it was a network manager problem and after upgrading to network manager 7.0 svn, it now connects instantly and the connection is quite stable.

(in reply to: ↑ 273 ) 07/10/08 06:24:30 changed by mrenzmann

Replying to anonymous:

Since I'm using madwifi-hal-0.10.5.6-r3752-20080706.tar.gz, I don't know if I need to go thru the normal support channels or ask my questions here.

All support requests, no matter if related to a release like v0.9.4 or some snapshot such as one of the madwifi-hal-0.10.5.6 branch, should be directed to our regular support channels.

(follow-up: ↓ 277 ) 07/15/08 09:25:47 changed by storkus@storkus.com

I'm putting this here because it seems the most appropriate place rather than starting a new ticket.

The changes made to allow compilation under kernel 2.6.26 somehow didn't get put into this branch nor are other changes being ported (because it's being done manually?).

Latest madwifi-hal-0.10.5.6 snapshot is r3752 dated July 6th. Latest madwifi-trunk snapshot is r3771 dated July 15th (as of this writing).

My current workaround is continuing to use kernel 2.6.25.10.

Mike

(in reply to: ↑ 276 ) 07/15/08 16:09:33 changed by mrenzmann

Replying to storkus@storkus.com:

The changes made to allow compilation under kernel 2.6.26 somehow didn't get put into this branch nor are other changes being ported (because it's being done manually?).

Fixed by proski in r3772.

07/15/08 16:23:13 changed by Junior Polegato - Linux <linux@juniorpolegato.com.br>

Hi,

Now I get success! I use madwifi-hal-0.10.5.6-r3752-20080706.tar.gz, 06-Jul-2008, on notebooks AmazonPC HEL-81/82/83 (Brazilian) with GIGABYTE GN-WS50G AirCruiser? G Mini-PCI-E.

lspci -vnn:

02:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
	Subsystem: Giga-byte Technology Device [1458:e918]
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d2000000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
	Capabilities: [60] Express Legacy Endpoint, MSI 00
	Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
	Capabilities: [100] Advanced Error Reporting <?>
	Capabilities: [140] Virtual Channel <?>
	Kernel driver in use: ath_pci
	Kernel modules: ath_pci, ath5k
ath_info d2000000:

 -==Device Information==-
MAC Revision: 2425  (0xe2)
Warning: Invalid EEPROM Magic number!
Device type:  3

/============== EEPROM Information =============\
| EEPROM Version:   5.3 | EEPROM Size:   4 kbit |
| EEMAP:              2 | Reg. Domain:     0x3A |
|================= Capabilities ================|
| 802.11a Support:  no  | Turbo-A disabled: yes |
| 802.11b Support:  no  | Turbo-G disabled: yes |
| 802.11g Support:  yes | 2GHz XR disabled: yes |
| RFKill  Support:  yes | 5GHz XR disabled: yes |
| 32kHz   Crystal:  no  |                       |
\===============================================/

/=========================================================\
|          Calibration data common for all modes          |
|=========================================================|
|          CCK/OFDM gain delta:             1             |
|          CCK/OFDM power delta:            5             |
|          Scaled CCK delta:                5             |
|          2GHz Antenna gain:               1             |
|          5GHz Antenna gain:               4             |
|          Turbo 2W maximum dBm:           38             |
|          Target power start:          0x16e             |
|          EAR Start:                   0x1b8             |
\=========================================================/

/=========================================================\
|          Calibration data for 802.11g operation         |
|=========================================================|
| I power:              0x00 | Q power:              0x10 |
| Use fixed bias:       0x01 | Max turbo power:      0x26 |
| Max XR power:         0x24 | Switch Settling Time: 0x28 |
| Tx/Rx attenuation:    0x19 | TX end to XLNA On:    0x00 |
| TX end to XPA Off:    0x00 | TX end to XPA On:     0x0e |
| 62db Threshold:       0x1c | XLNA gain:            0x00 |
| XPD:                  0x01 | XPD gain:             0x0a |
| I gain:               0x00 | Tx/Rx margin:         0x01 |
| False detect backoff: 0x00 | Noise Floor Threshold:  -1 |
| ADC desired size:      -38 | PGA desired size:      -80 |
|=========================================================|
| Antenna control   0:  0x00 | Antenna control   1:  0x02 |
| Antenna control   2:  0x21 | Antenna control   3:  0x21 |
| Antenna control   4:  0x00 | Antenna control   5:  0x00 |
| Antenna control   6:  0x01 | Antenna control   7:  0x22 |
| Antenna control   8:  0x22 | Antenna control   9:  0x00 |
| Antenna control  10:  0x00 | Antenna control  11:  0x02 |
|=========================================================|
| Octave Band 0:           3 | db 0:                    3 |
| Octave Band 1:           4 | db 1:                    4 |
| Octave Band 2:           0 | db 2:                    0 |
| Octave Band 3:           0 | db 3:                    0 |
\=========================================================/
/============== Per rate power calibration ===========\
| Freq | 6-24Mbit/s | 36Mbit/s |  48Mbit/s | 54Mbit/s |
|======|============|==========|===========|==========|
| 2412 |    18.00   |  17.00   |   15.01   |  13.01   |
|======|============|==========|===========|==========|
| 2437 |    18.00   |  17.00   |   15.01   |  13.01   |
|======|============|==========|===========|==========|
| 2472 |    18.00   |  17.00   |   15.01   |  13.01   |
\=====================================================/
/=================== Per channel power calibration ====================\
| Freq | pwr_0 | pwr_1 | pwr_2 | pwr_3 |pwrx3_0|pwrx3_1|pwrx3_2|max_pwr|
|      | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac |       |
|======|=======|=======|=======|=======|=======|=======|=======|=======|
| 2412 | 25.00 | 25.00 |  0.00 | 25.00 |  0.00 |  0.00 | 29.01 | 25.00 |
|      | [112] | [112] | [112] | [112] |  [20] |  [35] |  [63] |       |
\======================================================================/

GPIO registers: CR 0x00008000, DO 0x00000000, DI 0x0000000b
STA_ID0: 00:1d:7d:38:6b:39
STA_ID1: 0x1a80396b, AP: 0, IBSS: 0, KeyCache Disable: 0
TIMER0: 0x0000ad44, TBTT: 44356, TU: 0x05aead44
TIMER1: 0x0007ffff, DMAb: 65535, TU: 0x05aeffff (+21179)
TIMER2: 0x01ffffff, SWBA: 65535, TU: 0x05bfffff (+1135291)
TIMER3: 0x00000031, ATIM:    49, TU: 0x05af0031 (+21229)
TSF: 0x00000016bab4ad80, TSFTU: 44331, TU: 0x05aead2b
BEACON: 0x00000064
LAST_TSTP: 0xbab38181

Hasta la vista ndiswrapper! :)

Junior Polegato

(follow-up: ↓ 280 ) 07/16/08 20:56:01 changed by adrian

hello, I use madwifi-hal-0.10.5.6-r3752-20080706.tar.gz for time in a suse 11.0, now I'm using Linux linux-71x4 2.6.25.9-0.2-default on suse 11.0, and I prove all the hal and not work,

uname -a

Linux linux-71x4 2.6.25.9-0.2-default #1 SMP 2008-06-28 00:00:07 +0200 x86_64 x86_64 x86_64 GNU/Linux

dmesg

...
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:03:00.0 to 64
ath5k_pci 0000:03:00.0: registered as 'phy0'
ath5k phy0: failed to resume the MAC Chip
ACPI: PCI interrupt for device 0000:03:00.0 disabled
ath5k_pci: probe of 0000:03:00.0 failed with error -5
...
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.10.5.6 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, RF2417)
...
ath_pci: svn r3698
PCI: Enabling device 0000:03:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:03:00.0 to 64
MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)
ACPI: PCI interrupt for device 0000:03:00.0 disabled
...

I'm on a LG e500 sp17b laptop and need 64 for work, thank you very much and sorry for my very bad english.

I need instructions for dummyes to install because I hate Micro$$$$ and I "lose" my recovery cd. One more time, thank you very much. Adrián

(in reply to: ↑ 279 ) 07/17/08 07:35:43 changed by mrenzmann

Replying to adrian:

and I prove all the hal and not work,

Your system tries to load both, ath5k and MadWifi - this won't work. You need to choose one and disable the other. Please contact our regular support channels for instructions on how to do that - it's off-topic here. Thanks.

07/18/08 03:01:29 changed by gkdeb

Hi! I do not have any wlan to test it where I am right now, but it seems it could be working as spected.... ( Anybody try turning it into monitor mode and other ones ? )

Running Debian Sid 2.6.25-2-amd64, on an Acer Aspire 5520.

lspci -vnn Output:

05:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
        Subsystem: AMBIT Microsystem Corp. Device [1468:0428]
        Flags: bus master, fast devsel, latency 0, IRQ 19
        Memory at f2200000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint, MSI 00
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Kernel driver in use: ath_pci
        Kernel modules: ath5k, ath_pci

ath_info lines:

 -==Device Information==-
MAC Revision: 2425  (0xe2)
Warning: Invalid EEPROM Magic number!
Device type:  3

/============== EEPROM Information =============\
| EEPROM Version:   5.3 | EEPROM Size:   4 kbit |
| EEMAP:              2 | Reg. Domain:     0x65 |
|================= Capabilities ================|
| 802.11a Support:  no  | Turbo-A disabled: yes |
| 802.11b Support:  no  | Turbo-G disabled: yes |
| 802.11g Support:  yes | 2GHz XR disabled: yes |
| RFKill  Support:  yes | 5GHz XR disabled: yes |
| 32kHz   Crystal:  no  |                       |
\===============================================/

/=========================================================\
|          Calibration data common for all modes          |
|=========================================================|
|          CCK/OFDM gain delta:             1             |
|          CCK/OFDM power delta:            5             |
|          Scaled CCK delta:                5             |
|          2GHz Antenna gain:               0             |
|          5GHz Antenna gain:               0             |
|          Turbo 2W maximum dBm:           38             |
|          Target power start:          0x16e             |
|          EAR Start:                   0x1b8             |
\=========================================================/

/=========================================================\
|          Calibration data for 802.11g operation         |
|=========================================================|
| I power:              0x00 | Q power:              0x10 |
| Use fixed bias:       0x01 | Max turbo power:      0x26 |
| Max XR power:         0x24 | Switch Settling Time: 0x28 |
| Tx/Rx attenuation:    0x19 | TX end to XLNA On:    0x00 |
| TX end to XPA Off:    0x00 | TX end to XPA On:     0x0e |
| 62db Threshold:       0x1c | XLNA gain:            0x00 |
| XPD:                  0x01 | XPD gain:             0x0a |
| I gain:               0x00 | Tx/Rx margin:         0x01 |
| False detect backoff: 0x00 | Noise Floor Threshold:  -1 |
| ADC desired size:      -38 | PGA desired size:      -80 |
|=========================================================|
| Antenna control   0:  0x00 | Antenna control   1:  0x02 |
| Antenna control   2:  0x21 | Antenna control   3:  0x21 |
| Antenna control   4:  0x00 | Antenna control   5:  0x00 |
| Antenna control   6:  0x01 | Antenna control   7:  0x22 |
| Antenna control   8:  0x22 | Antenna control   9:  0x00 |
| Antenna control  10:  0x00 | Antenna control  11:  0x02 |
|=========================================================|
| Octave Band 0:           3 | db 0:                    3 |
| Octave Band 1:           4 | db 1:                    4 |
| Octave Band 2:           0 | db 2:                    0 |
| Octave Band 3:           0 | db 3:                    0 |
\=========================================================/
/============== Per rate power calibration ===========\
| Freq | 6-24Mbit/s | 36Mbit/s |  48Mbit/s | 54Mbit/s |
|======|============|==========|===========|==========|
| 2412 |    18.00   |  17.00   |   15.01   |  13.01   |
|======|============|==========|===========|==========|
| 2437 |    18.00   |  17.00   |   15.01   |  13.01   |
|======|============|==========|===========|==========|
| 2472 |    18.00   |  17.00   |   15.01   |  13.01   |
\=====================================================/
/=================== Per channel power calibration ====================\
| Freq | pwr_0 | pwr_1 | pwr_2 | pwr_3 |pwrx3_0|pwrx3_1|pwrx3_2|max_pwr|
|      | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac | pcdac |       |
|======|=======|=======|=======|=======|=======|=======|=======|=======|
| 2412 | 25.00 | 25.00 |  0.00 | 25.00 |  0.00 |  0.00 | 29.01 | 25.00 |
|      | [112] | [112] | [112] | [112] |  [20] |  [35] |  [63] |       |
\======================================================================/

GPIO registers: CR 0x00000000, DO 0x00000000, DI 0x0000000b
STA_ID0: d8:47:0c:63:20:04
STA_ID1: 0x00000420, AP: 0, IBSS: 0, KeyCache Disable: 0
TIMER0: 0x00002067, TBTT:  8295, TU: 0x00652067
TIMER1: 0x00046240, DMAb: 35912, TU: 0x00648c48 (-37919)
TIMER2: 0x01044640, SWBA: 35016, TU: 0x00a088c8 (+3893345)
TIMER3: 0x00001a8c, ATIM:  6796, TU: 0x00651a8c (-1499)
TSF: 0x0000000190e08c26, TSFTU: 14371, TU: 0x00643823
BEACON: 0x003c0420
LAST_TSTP: 0xc2b03e9a

Thanks!

(follow-up: ↓ 284 ) 07/18/08 10:40:52 changed by storkus@storkus.com

Adrian: You must disable loading ath5k--remove the module or blacklist it. As mrezmann said, it's off-topic here; this step is also explicitly stated in the instructions as I recall.

Gkdeb: I'm also running an Acer Aspire 5520-5912. If you look on the underside the radio ID label will say "AR5BXB63", another name for the AR5007EG aka AR2425. It works perfectly under SlamD64 (64 bit Slackware clone) and, with the latest update, all kernels to the current 2.6.26. However, I have not tested monitor mode yet. The EEPROM magic error happens on mine as well, but doesn't affect operation.

And Proski, since I'm writing already: Thanks for the update! 2.6.26 is perfect now!

Mike

07/18/08 13:24:58 changed by Alexander Kostadinov

Hi,

Proski, don't worry about restart if any other driver has been loaded before! I just decided to stick with ndiswrapper until your patch is in a kernel for my distro so noticed ndiswrapper is also unable to initialize device if the old ath5k was started first. So I use to put "install ath5k /bin/true".

While I'm writing, any idea when will the patch be included in an upstream kernel?

(in reply to: ↑ 282 ) 07/19/08 03:08:27 changed by gkdeb

Replying to storkus@storkus.com:

... Gkdeb: I'm also running an Acer Aspire 5520-5912. If you look on the underside the radio ID label will say "AR5BXB63", another name for the AR5007EG aka AR2425. It works perfectly under SlamD64 (64 bit Slackware clone) and, with the latest update, all kernels to the current 2.6.26. However, I have not tested monitor mode yet. The EEPROM magic error happens on mine as well, but doesn't affect operation. ...

Thanks, I've recently compiled and installed the latest hal ( madwifi-hal-0.10.5.6-r3772-20080716 ) and the EEPROM magic error has disappeared ( Debian Sid 2.6.25-2-amd64 ).

07/26/08 16:11:09 changed by gkdeb

Just to tell you that I've recently tested the latest hal in differents modes and everything worked fine !! Thanks guys :P

(in reply to: ↑ description ) 07/26/08 16:16:17 changed by anonymous

Great. The new hal works fine on Lenovo Thinkpad R61 TYPE 8933-FNG Before I used the madwifi-ng-r2756+ar5007. Problem was it gave a segmentation fault when unloading the ath_pci (i.e. when going to suspend mode).

I'm happy now. Thanks.

07/27/08 07:43:40 changed by pembo13

I have have been using r3698 out of livna-testing on Fedora 9 with AR5007EG on Compaq Presario. Works fine except that NetworkManger? doesn't work after standby. But report can be found here: Redhat Bugzilla #453124

Since reloading the module fixes it, I reporting here as well.

(follow-up: ↓ 289 ) 07/27/08 18:43:13 changed by Enrike Brujo

I used the "special" file to download the ng drivers, but now all are @not update, which one is the correct now, thanx

(in reply to: ↑ 288 ) 07/28/08 06:24:42 changed by mrenzmann

Replying to Enrike Brujo:

which one is the correct now

See initial description, it explains exactly where to find up-to-date snapshots with AR5007 support.

07/28/08 12:03:56 changed by mrenzmann

  • description changed.

(in reply to: ↑ description ) 07/31/08 13:22:54 changed by anonymous

These patch runs fine on ASUS X51RL, I have installed these patch and uninstalled all madwifi*.rpm in opensuse 10.3...it runs!

(follow-up: ↓ 294 ) 07/31/08 18:47:43 changed by anonymous

works on debian testing with 2.6.25-amd64 kernel. Is this a free hal?, or will ath5k support our chip soon?

07/31/08 19:06:39 changed by proski

  • keywords set to AR5007 AR2425 AR2417.

The same HAL adds support for AR2417 (original ticket #2015), so adding AR2417 to the keywords.

(in reply to: ↑ 292 ) 08/01/08 07:40:41 changed by mrenzmann

Replying to anonymous:

Is this a free hal?

Depends on what definition of "free" you apply. It's a similar HAL as previous ones; means: available as binary blob only, no source code available.

or will ath5k support our chip soon?

Yes. Patches for AR5007 support in ath5k are already submitted for inclusion.

(follow-up: ↓ 299 ) 08/03/08 02:44:52 changed by kevmif

Good news on ath5k. Will we see this support in 2.6.26 or are we going to have to wait for 2.6.27 or later?

Also any idea when the new HAL will be merged with the trunk and not in a branch? It seems to work great for me and I haven't seen too many complaints!

(follow-up: ↓ 297 ) 08/03/08 05:03:23 changed by ivancosax@gmail.com

Hi guys,

I've installed the latest HAL that supports Ath50007. The problem is that after every restart the module it's not autoloading. I have to do sudo modprobe ath_pci in order to load it and then works OK. Is there a way to autoload the driver and module, I'm on Ubuntu 8.04.

Any help appreciated. Cheers, DSP8000

(in reply to: ↑ 296 ) 08/03/08 11:45:26 changed by anonymous

how about putting modprobe ath_pci in /etc/rc.local not sure Replying to ivancosax@gmail.com:

Hi guys, I've installed the latest HAL that supports Ath50007. The problem is that after every restart the module it's not autoloading. I have to do sudo modprobe ath_pci in order to load it and then works OK. Is there a way to autoload the driver and module, I'm on Ubuntu 8.04. Any help appreciated. Cheers, DSP8000

08/03/08 12:01:47 changed by anonymous

OK, all up and running.

I had to unload, un-install, reinstall, do modprobe, MANUALLY add ath_pci+ath_hal in /etc/modules after modprobe, enable hardware restricted hardware drivers, restart, viola. Works OK now.

(in reply to: ↑ 295 ; follow-up: ↓ 303 ) 08/04/08 03:35:56 changed by proski

AR5007 support in ath5k is on its way to Linux 2.6.28. Chances are it will be fast-tracked for 2.6.27. As for merging the madwifi-hal-0.10.5.6 branch, there have been complaints, so we'll probably need to wait for another HAL.

(follow-up: ↓ 301 ) 08/05/08 14:02:40 changed by acid@fabulous-style.de

with this driver, and the cisco-vpnclient i get an kernel panik on http traffic. i dont know where i can get messeges to post here. there is noch error code in /var/log/messeges if you tell me, where i should look, i will post this infos

(in reply to: ↑ 300 ) 08/05/08 15:16:51 changed by anonymous

Replying to acid@fabulous-style.de:

with this driver, and the cisco-vpnclient i get an kernel panik on http traffic. i dont know where i can get messeges to post here. there is noch error code in /var/log/messeges if you tell me, where i should look, i will post this infos

cisco-vpnclient is a big POS... Switch over to vpnc as it doesn't need a kernel-module and is much better to use!

08/06/08 10:39:35 changed by acid@fabulous-style.de

trust me, in my situation, vpnc is no option. If got lots of problems with p12 certificates an domain authentification. The cisco vpnclient is useable, and my problem is not to find an alternate to the vpnclient, i need an bugfree wlan driver! At the moment, i use ndiswrapper, no problems here!

(in reply to: ↑ 299 ) 08/06/08 21:19:09 changed by anonymous

Replying to proski:

As for merging the madwifi-hal-0.10.5.6 branch, there have been complaints, so we'll probably need to wait for another HAL.

Dear Proski and MadWifi team:

That means "still no support for AR5007" in MadWifi 0.9.5 for another year ? :(

If that is correct, please reconsider your decision. The HAL-0.10.5.6 still has bugs, but it's better than none !

Please merge HAL-0.10.5.6 to MadWifi 0.9.5 (and notify about the bugs due to the new HAL), or create 2 versions:

-- MadWifi 0.9.5 (old HHAL) = good -- MadWifi 0.9.5 bis (new HAL-0.10.5.6) = still has bugs (due to the new HAL)

:(

M

08/06/08 23:36:16 changed by samtygier@yahoo.co.uk

Tested hal madwifi-hal-0.10.5.6-r3835-20080801.tar.gz and svn trunk r3844.

It worked fine before, and still works fine now. connecting to AP with 128 WEP

i have:

 -==Device Information==-
MAC Revision: 2413  (0x78)
Device type:  3
2GHz PHY Revision: SChip (0x56)

/============== EEPROM Information =============\
| EEPROM Version:   5.2 | EEPROM Size:  16 kbit |
| EEMAP:              2 | Reg. Domain:     0x64 |
|================= Capabilities ================|
| 802.11a Support:  no  | Turbo-A disabled: yes |
| 802.11b Support:  yes | Turbo-G disabled: yes |
| 802.11g Support:  yes | 2GHz XR disabled: no  |
| RFKill  Support:  yes | 5GHz XR disabled: no  |
| 32kHz   Crystal:  no  |                       |
\===============================================/
<snip>, i think the middle bit is boring
GPIO registers: CR 0x00000000, DO 0x00000000, DI 0x00000017
STA_ID0: 00:11:f5:7d:6f:8a
STA_ID1: 0x1a808a6f, AP: 0, IBSS: 0, KeyCache Disable: 0
TIMER0: 0x0000156c, TBTT:  5484, TU: 0x83c3156c
TIMER1: 0x0000abdf, DMAb:  5499, TU: 0x83c3157b (+15)
TIMER2: 0x01ffffff, SWBA: 65535, TU: 0x83ffffff (+3992211)
TIMER3: 0x00001549, ATIM:  5449, TU: 0x83c31549 (-35)
TSF: 0x0000020f0c54eb78, TSFTU:  5434, TU: 0x83c3153a
BEACON: 0x00000064
LAST_TSTP: 0x0c542186

08/10/08 05:41:02 changed by anonymous

The very latest Fedora kernel on RawHide? (their testing version) 2.6.27-0.244.rc2.git1.fc10.x86_64 now works with ath5k. Thank you for your all your work on this.

(follow-ups: ↓ 307 ↓ 328 ) 08/10/08 09:43:29 changed by genewitch@gmail.com

had been trying all day; real quick synopsis of what i did to get my atheros 5007 to work on an acer laptop x86 32bit kernel ubuntu 8.04(hardy heron)

System - Administration - Hardware drivers -> unchecked atheros HAL. left support for atheros cards on. rebooted.

downloaded, from the link above: madwifi-hal-0.10.5.6-r3835-20080801.tar.gz

tar xvf madwifi-hal*.gz

cd madwifi-hal-0.10.5.6-r3835-20080801

make

make install

rmmod ath_pci

rmmod ath_hal

shutdown -r now

Upon reboot, card was working perfectly, and even drops into monitor mode perfectly!

Thanks a ton, guys!

(in reply to: ↑ 306 ) 08/10/08 17:38:43 changed by Slack

Replying to genewitch@gmail.com:

had been trying all day; real quick synopsis of what i did to get my atheros 5007 to work on an acer laptop x86 32bit kernel ubuntu 8.04(hardy heron) System - Administration - Hardware drivers -> unchecked atheros HAL. left support for atheros cards on. rebooted. downloaded, from the link above: madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
tar xvf madwifi-hal*.gz
cd madwifi-hal-0.10.5.6-r3835-20080801
make
make install
rmmod ath_pci
rmmod ath_hal
shutdown -r now
Upon reboot, card was working perfectly, and even drops into monitor mode perfectly! Thanks a ton, guys!

Thanks a lot. I've tried many methods but only this one was successful :)

(follow-up: ↓ 311 ) 08/10/08 21:15:25 changed by rememberence

I'm running the latest tarball with the latest HAL. Everything is working just fine, except a pretty annoying problem, it's the same problem as the one described in ticket 1081. I don't know what is causing my problems though, is there anyone who can help me?

08/10/08 21:44:04 changed by genewitch@gmail.com

Rememberence: are there a lot of access points around? If so, change to a middle channel such as 3 or 4 (i had to do this to get acceptable ping times)

also, make sure that all antennae are facing the same way, IE vertical or horizontal or at a 45 degree angle. If your router's antennas are straight up and down, make sure that your wifi card is oriented the same way... if your wifi card has no movable antenna, then place your router's antenna at a 45 degree angle relative to the plane of your wifi card (IE not away or towards it, but instead to either side).

Email me if that works, i like hearing success stories.

08/11/08 04:25:08 changed by robotrot@hotmail.com

I'm using this on an Acer 5315 laptop with Arch Linux 2.6.26 kernel and it works perfectly (except that lights to not work, but who cares eh?). No more ndiswrapper!!! Thanks a lot!

(in reply to: ↑ 308 ) 08/11/08 06:50:37 changed by mrenzmann

Replying to rememberence:

is there anyone who can help me?

Yes, our regular support channels should be able to help. Please keep discussions about this off from this ticket.

(follow-up: ↓ 313 ) 08/12/08 16:41:21 changed by rodrigochiossi at gmail dot com

  • System - Administration - Hardware drivers -> unchecked atheros HAL. left support for atheros cards on. rebooted.
  • downloaded, from the link above: madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
  • tar xvf madwifi-hal*.gz
  • cd madwifi-hal-0.10.5.6-r3835-20080801
  • make
  • make install
  • rmmod ath_pci
  • rmmod ath_hal
  • shutdown -r now

I've tried these steps on Kubuntu 8.04. The card now seems to be working, at least it can identify wireless networks around... But that's all. I still can't connect to any network.

(in reply to: ↑ 312 ; follow-up: ↓ 318 ) 08/12/08 17:17:58 changed by mrenzmann

Replying to rodrigochiossi at gmail dot com:

I still can't connect to any network.

Please contact our regular support channels for help.

08/14/08 00:53:08 changed by anonymous

Why the Monitor Mode work? I have also the ar5bxb63 chipset.. but monitor mode doesnt work :(

(follow-up: ↓ 333 ) 08/14/08 16:56:40 changed by gkdeb

It works fine for me... Just create a new interface in monitor mode:

# wlanconfig ath create wlandev wifi0 wlanmode monitor

That's all.

08/16/08 06:44:26 changed by gerardo

saludos gente inteligente, weno en conclusión mucha jarana para activar el wireless en el ubuntu a mi parecer un punto en contra para el Ubuntu; lo mejor hubiera sido q el Ubunntu hardy Heron q tengo detecte automáticamente el modem o router q tengo, en fin espero q soluciones este problema para la gente como yo q recién se inician en este mundo loco de la informática,

08/18/08 11:11:32 changed by grashalm

Works for me as well.

Thank you very much!

(in reply to: ↑ 313 ) 08/18/08 12:52:44 changed by anonymous

Replying to mrenzmann:

Replying to rodrigochiossi at gmail dot com:

I still can't connect to any network.

Please contact our regular support channels for help.

you might want to try this: it.dennyhalim.com/2008/08/atheros-5007-wifi-ar2425-chips-linux.html

it works for me...

08/20/08 16:53:05 changed by anonymous

When will this 0.9.5 version of madwifi be released? I'm eagerly awaiting this milestone!

08/22/08 06:41:56 changed by anonymous

tanks to all, it works for me!!! i have a hp pavilion dvd6810us and only work the "madwifi-hal-0.10.5.6-r3835-20080801.tar.gz" version!!! pd: don't forget to reboot your system after the "make install" :P

(follow-ups: ↓ 337 ↓ 341 ) 08/22/08 22:14:30 changed by anonymous

Thanks for all your work. I run a HP dv9000 on 64bit ubuntu Hardy and everything now works great! My card is a Atheros 5007eg. Here are the steps I took which ended in a big smile.

1. wget http: / /snapshots.madwifi.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
2. tar -zxvf madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
3. cd madwifi-hal-0.10.5.6-r3835-20080801
4. sudo make
5. sudo make install
6. System -> Administration -> Hardware Drivers -> Uncheck both hal and Atheros support
7. sudo vi /etc/modprobe.d/blacklist -> blacklist ndiswrapper (This is because I was using ndis, but it was a gimpy solution)
8. Reboot =(, so windows-y... ick
9. sudo modprobe ath_pci
10. Surf surf surf

Hope this helps someone.

-Orbital_sFear

08/26/08 02:07:23 changed by anonymous

i got mine working! here's what i did:

  • disable only the HAL in hardware drivers then restart
  • fully uninstall ndiswrapper if you have it
  • follow the firsttimehowtoinstructions/make and make install the madwifi HAL
  • rmmod ath_pci
  • rmmod ath_rate_sample
  • modprobe ath_pci
  • modprobe ath_hal
  • goto system->admin->network and set the wifi properties
  • set wicd wireless interface to -ath0- not wifi0 or wlan0 (DONT FORGET TO FLIP THE WIFI SWICTH ON THE FRONT OF YOUR LAPTOP!)

my wifi light is not on but my card works.

(follow-up: ↓ 324 ) 08/27/08 13:27:00 changed by raghaoty@gmail.com

HI

I am using acer 4520 laptop with Atheros AR5007EG wireless lan adaptor. I have installed fedora core 9. I am not able to use wireless. Please help me to solve the problem.

(in reply to: ↑ 323 ) 08/27/08 13:41:27 changed by mrenzmann

  • pending changed.

Replying to raghaoty@gmail.com:

Please help me to solve the problem.

This is not the right place for support requests, please contact our regular support channels. Thanks.

(follow-ups: ↓ 326 ↓ 327 ) 08/27/08 18:51:48 changed by anonymous

First of all thank you for your hard work I have gotten to the point of seeing the wireless networks and but it wont connect, i tried doing

dhclient ath0

on the command line and it just kept trying to get an IP from the DHCP server until it gave up

what could be wrong? im using -openSuSE-11.0 32bit on a -Compaq Presario F700 with -Atheros AR5700EG wireless card and -Kenyan tea with whole wheat bread

to get there i did pretty much the same thing as Orbital_sFear above

on rebooting (hmmmm...) the wifi networks are being seen but on choosing mine it attempts to connect then finally fails,

please advise..

(in reply to: ↑ 325 ) 08/27/08 19:35:48 changed by hgsolari@gmail.com

dhclient ath0

For some of us, dhclient and dhclient3 are producing this problem (see my post above, hgsolari on 06/27/08 14:35:54). Simplest work-around, use NetworkManager to handle the connection. You may also try to load the module with options ath_pci autocreate=none and then create the device ath0 with wlanconfig ath0 create wlandev wifi0 wlanmode sta

I thought the later was a workaround but I am not longer sure about it (I do believe that there is a bug or compatibility problem around this)

(in reply to: ↑ 325 ) 08/28/08 04:44:32 changed by anonymous

Replying to anonymous:

First of all thank you for your hard work I have gotten to the point of seeing the wireless networks and but it wont connect, i tried doing

dhclient ath0

on the command line and it just kept trying to get an IP from the DHCP server until it gave up what could be wrong? im using -openSuSE-11.0 32bit on a -Compaq Presario F700 with -Atheros AR5700EG wireless card and -Kenyan tea with whole wheat bread

Its finally worked for me, ill try to list everything i did, it might help someone In openSuSE, i used the Yast administrator settings tool as well as the wireless manager under applications > system > network to set it up, -i left power management out -i followed the atheros beginners howto available on atheros site step by step but using the GUI -i used the latest HAL thats advertised at the beginning of this ticket, the one with ...801... -i got to the point of clicking (in GUI mode) to connect to my local wifi -it would just search for a DHCP lease and then give up, same thing at the command prompt -so in GUI mode (openSuSE11.0, kde3.5,yast admin tool>network devices>network settings assuming you have compiled and installed the latest atheros hal and followed the beginners howto with no error but cant get a DHCP lease) here is the summary: setup to connect at boot-time, to an automatically assigned firewall zone, ensure under hardware the module name is ath_pci and device name is ath0, under address use DHCP, operating mode should be managed, put the ESSID, and appropriate authentication mode, try WEP-Open, put in the encryption key, there will be two small buttons on that tab, click on expert settings, put in the MAC address that you will get after doing the beginners howto,no power management for now, leave bit rate as automatic and say ok, on the WEP keys tab, ensure that the key is correct AS WELL AS THE KEY LENGTH!!!, 64bit != 128bit, say ok, reboot, now your wireless card should NOT have a (Not connected) next to it, if that is so LEAVE THE COMPUTER IN LINUX UNTIL THE DHCP LEASE TIMES OUT, this could be 2hours but again you will get that info by inspecting the output in the beginners howto, so in other words try after n hours if it doesnt work at first somethign else i did, i logged out of root and went to my normal user, thats where it conencted, and when it did, i collected all the connection data, including DNS server IPs etc etc so that the next time i can connect via static IP if need be i also did a configuration backup hope this helps someone, in case you need help you can get at me on ensinke .com contact page

(in reply to: ↑ 306 ) 08/28/08 10:10:27 changed by quasar.p.k@gmail.com

@genewitch: Thanks for the comment, you saved my mental health :P

I was trying to setup the Atheros AR242x wireless controller on Ubuntu 8.04 installed on a HP g7060ev laptop bought in Greece. After trying out different combinations of the set of steps that are supposed to solve the driver problem, i tried out your approach and it worked perfectly! I'm guessing that the fact that you didn't disable the "support for 802.11 wireless..." driver made all the difference.

(in reply to: ↑ description ) 08/30/08 04:56:20 changed by Gothic.Panda@gmail.com

I'm running the drivers on a 64-bit Ubuntu Hardy laptop, and I appear to be having intermittent connection issues. Very odd ones at that. For example, AJAX in Firefox refuses to load. FileZilla? refuses to transfer files over SSH, Pidgin keeps disconnecting from GoogleTalk?, VMware machines can't connect to the network without disabling all other trafic, Foxmarks can't download a bookmark syncronization file. There are several other seemingly random connection issues, but I believe it's the wireless driver, because no issues are experienced when I'm using the straight up ethernet.

I don't know what the problem is, but if I can provide any information to make the HAL better, or if someone can help me out, that'd be awesome.

Trevor

08/31/08 22:12:50 changed by lolh@ymail.com

using kernel 2.6.27-rc5 the 1 August 2008 snapshot driver lets the gnome NetworkManager applet show the Atheros 5007EG as a cable network device (Wireless PCI Express Adapter).

The network settings identify ath0 as a wireless device and shows the access points signal strengths correctly though.

Using the ath0 "cable network" connection is unsuccessful.

The 1/8/08 snapshot driver works great with the Ubuntu 8.04.1 kernel though! It made me happily use my wifi connection on an Acer Aspire 5050.

If acpi was enabled at Ubuntu kernel boot on the Aspire 5050, the nm-applet showed Wireless as possible but didn't find any access points. Disabling acpi solved the problem.

The 2.6.27-rc5 kernel has acpi enabled. While the driver makes detect the hardware it is not presented as a wireless network adapter.

Just thought I let you know (I might try your "regular support channel" if I don't find a solution).

Regards, Lars

09/02/08 03:01:39 changed by Oz

ive been trying to use my atheros 5007 that came with my acer 5315, did a fresh xubuntu 8.04 install and installed madwifi-hal-0.10.5.6. It works, i can see all the nets around but when i connect to mine (wpa), it appears ok but can navigate. not even ping another pcs. whats missing?

09/03/08 07:59:47 changed by Jam

Got Acer Extensa 5620Z with Atheros AR5007G running in Gentoo 2.6.25-r7/2.6.25-zen2/2.6.26 (tried all these). Tried madwifi-hal-0.10.5.6-r3835-20080801.tar.gz. It finally creates the device in "Managed" mode. (finally - 'cos previous versions have this "Hardware revision not supported" problem) Bad luck - it does not seem to support switching to Ad-hoc (this is also mentioned in README as "Ad-hoc mode is broken; symptoms are intermittent operation.") but this is the mode I need to coonect to my desktop with built-in adapter.

Going to try the latest madwifi-hal-0.10.5.6-r3861-20080903.tar.gz but running through its README - found the same issue :(

Is there any hope for ad-hoc fix in future releases? PS ndiswrapper works fine, but it freezes the system after waking up from hibernate (regardless of blacklsting ndiswrapper in tuxonice configs).

(in reply to: ↑ 315 ) 09/03/08 15:01:02 changed by anonymous

Replying to gkdeb:

It works fine for me... Just create a new interface in monitor mode: # wlanconfig ath create wlandev wifi0 wlanmode monitor That's all.

hello gkdeb! thank you very much for the hint! I couldnt change to monitor mode with

sudo iwconfig ath0 mode monitor

but it works perfectly with the new interface!

regards

09/03/08 16:11:09 changed by Encore

What do you mean by RFKill? I have Asus X50N, atheros AR5007, OS - OpenSuse 11. After installing of madwifi-r3725+AR5007EG from .rpm I've in iwconfig ath0 and wifi0 interfaces, but iwlist scan don't scanning. dmesg: MadWifi: ath_attach: Switching rfkill capability off. What I can do with rfkill?? P.S. sorry for my bad English.

09/04/08 04:09:10 changed by rick.tiffini@gmail.com

Dude. This works great!

09/04/08 18:04:02 changed by lolh@ymail.com

The problem that NetworkManager detects ath_pci as a wired card is that it checks the info.capabilities field lshal can show you too. I hadn't enabled WIRELESS_EXT_SYSFS in the kernel 2.6.27-rc5 configuration as the help text states:

This option enables the deprecated wireless statistics files in /sys/class/net/*/wireless/. The same information is available via the ioctls as well.

Say Y if you have programs using it (we don't know of any)

So either NM uses the sysfs only or MadWifi doesn't provide this info via the ioctls. As sysfs is deprecated better support the ioctls!

Lars

(in reply to: ↑ 321 ) 09/04/08 20:21:17 changed by anonymous

Replying to anonymous:

Thanks for all your work. I run a HP dv9000 on 64bit ubuntu Hardy and everything now works great! My card is a Atheros 5007eg. Here are the steps I took which ended in a big smile. 1. wget http: / /snapshots.madwifi.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
2. tar -zxvf madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
3. cd madwifi-hal-0.10.5.6-r3835-20080801
4. sudo make
5. sudo make install
6. System -> Administration -> Hardware Drivers -> Uncheck both hal and Atheros support
7. sudo vi /etc/modprobe.d/blacklist -> blacklist ndiswrapper (This is because I was using ndis, but it was a gimpy solution)
8. Reboot =(, so windows-y... ick
9. sudo modprobe ath_pci
10. Surf surf surf
Hope this helps someone. -Orbital_sFear

This worked on my HP laptop!! Thanks dude. You rock!!!!

09/05/08 18:15:22 changed by anonymous

It looks like the tgz snapshots are corrupt. I'm getting unexpected end of archive for everything except 2008/06/04. I've tried in both windows and linux.

09/07/08 05:42:58 changed by anonymous

Thanks for all your work. I run a HP dv9000 on 64bit ubuntu Hardy and everything now works great! My card is a Atheros 5007eg. Here are the steps I took which ended in a big smile. 1. wget http: / /snapshots.madwifi.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r3835-20080801.tar.gz 2. tar -zxvf madwifi-hal-0.10.5.6-r3835-20080801.tar.gz 3. cd madwifi-hal-0.10.5.6-r3835-20080801 4. sudo make 5. sudo make install 6. System -> Administration -> Hardware Drivers -> Uncheck both hal and Atheros support 7. sudo vi /etc/modprobe.d/blacklist -> blacklist ndiswrapper (This is because I was using ndis, but it was a gimpy solution) 8. Reboot =(, so windows-y... ick 9. sudo modprobe ath_pci 10. Surf surf surf Hope this helps someone. -Orbital_sFear

Works for me too on my compaq CQ50-115NR. Had to install build-essentials from the CD first though

(in reply to: ↑ 321 ; follow-up: ↓ 343 ) 09/07/08 19:56:55 changed by anonymous

Replying to anonymous:

Thanks for all your work. I run a HP dv9000 on 64bit ubuntu Hardy and everything now works great! My card is a Atheros 5007eg. Here are the steps I took which ended in a big smile. 1. wget http: / /snapshots.madwifi.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
2. tar -zxvf madwifi-hal-0.10.5.6-r3835-20080801.tar.gz
3. cd madwifi-hal-0.10.5.6-r3835-20080801
4. sudo make
5. sudo make install
6. System -> Administration -> Hardware Drivers -> Uncheck both hal and Atheros support
7. sudo vi /etc/modprobe.d/blacklist -> blacklist ndiswrapper (This is because I was using ndis, but it was a gimpy solution)
8. Reboot =(, so windows-y... ick
9. sudo modprobe ath_pci
10. Surf surf surf
Hope this helps someone. -Orbital_sFear

Would you happen to know what steps need to taken to execute the modprobe ath_pci command at boot time?

MrPoet?

09/07/08 22:13:34 changed by Faryshta

Shit I cant find a way to install this, I have used madwifi before but since I upgrade my kernel it doesnt works, can someone help with atheros chipsets?

(in reply to: ↑ 341 ) 09/11/08 19:34:46 changed by anonymous

Replying to anonymous:

Replying to anonymous: Would you happen to know what steps need to taken to execute the modprobe ath_pci command at boot time? MrPoet?

MrPoet?, I do know how to make ath_pci load on boot.

1. cd /etc
2. sudo vi modules
3. add: ath_pci

Here is what my complete /etc/modules file looks like:
# /etc/modules: kernel modules to load at boot time.
#
# This file contains the names of kernel modules that should be loaded
# at boot time, one per line. Lines beginning with "#" are ignored.

fuse
lp
rtc
sbp2
#ndiswrapper
ath_pci

I also blacklisted the ndiswrapper module just in case (probably over kill):
1. cd /etc/modprobe.d
2. sudo vi blacklist
3. add to the end of the file: blacklist ndiswrapper
4. Extra credit: blacklist pcspkr (cause that lil thing is annoying!)

Now my card boots right up and works great!

-Orbital_sFear

09/17/08 16:24:33 changed by prsmokin@msn.com

Acer 5715-4713 with AR2425 chipset (AR5007EG) running openSUSE 11.0, kernel 2.6.25.11. Followed #1192 directions and wifi works like a champ! Blacklisted ath5k, did need to reboot after configuring detected device ath0.

09/19/08 23:43:46 changed by anonymous

Just reporting that this works on ubuntu 8.04 on an HP dv6700 laptop.

09/21/08 21:34:19 changed by Anarkae

It is working in my acer aspire 5610z with Atheros Wireless AR242x chipset. But be careful, because each time that you make a kernel update, you are going to lose your connexion. Then, you must to do: make clean && make && sudo make install in the madwifi-hal-xxx directory.

Regards.

(in reply to: ↑ description ; follow-up: ↓ 348 ) 09/22/08 06:06:35 changed by anonymous

First of all, thank you to all those who contributed the HAL for AR5007 AR2425 chipset. I have acer 5100 running debian. I wanted to let you know about a kernel specific issue. This HAL DOES NOT WORK for kernel 2.6.26-1-amd64 (lenny)

but it works nicely with 2.6.18-6-k7

I am a newbie, but hope it helps someone out there.

(in reply to: ↑ 347 ) 09/22/08 06:34:27 changed by mrenzmann

Replying to anonymous:

This HAL DOES NOT WORK for kernel 2.6.26-1-amd64 (lenny)

Please be more specific. What is the actual problem you're facing with said kernel?

(follow-up: ↓ 350 ) 09/22/08 09:41:21 changed by zuhri

i'm installing madwifi-hal-0.10.5.6-r3861-20080903, i can detect any Ap using Airodump-ng or kismet, but my networkmanager can't detect AP. what wrong about it?

rest of post removed by mrenzmann

(in reply to: ↑ 349 ) 09/22/08 09:48:10 changed by mrenzmann

Replying to zuhri:

what wrong about it?

Please redirect this request to our regular support channels. Thanks.

09/22/08 23:26:17 changed by anonymous

I've been trying to get my AR2425 to work with the Fedora 9 2.6.26.3 kernel using this code, and, while the device is detected, it fails to detect any wireless signals, and, when an attempt to force it to connect to a known AP, the wireless base station fails to detect any signal from the laptop.

The same code, compiled for the Fedora 9 2.6.25 kernels' works with no problem. It is, in fact, what I'm using to create this message.

I note that this problem is, operationally at least, identical to the problem the ath5k driver has with the 5007 (i.e., AR2425) chip set.

My "solution" for now is to stay with the 2.6.25 kernels. (I'd try ndiswrapper, but it seem broken on 2.6.26 as well. Not relevant for this discussion, but perhaps of interest to some.)

09/23/08 14:25:03 changed by paolo_notari@vodafone.it

hello,

i installed as indicated from tarball, and I get connection - it's working but, if i extract the pcmcia and reinsert it doesn't work - no way to get a warm recognition.

It works if i reinstall recompiling tarball and reistall the driver, and then reboot.

btw, no lights

thanks in advance, Paolo

(in reply to: ↑ 36 ) 09/24/08 00:38:22 changed by anonymous

Replying to mentor:

Any "me too!" comments on this ticket will be summarily deleted. Please restrain yourselves to adding new and relevant information. When a new HAL appears that supports this, it will be integrated at the normal rate.

(follow-up: ↓ 356 ) 09/24/08 10:03:22 changed by jbbandos@hotmail.com

It works on a Acer Aspire one, but a "iwlist scan freq" only shows 802.11bg frequencies. 802.11a frequencies aren't shown (not that I have a 802.11a AP to test it with). I had to use the options below to be able to get it to work (enable rfkill) and to use 13 channels (my AP is on channel 13, I am in the EU - Portugal):

options cfg80211 ieee80211_regdom=EU
options ath_pci xchanmode=1 rfkill=1

The wifi light on the one is enabled with the following entries in /etc/rc.local:

sysctl -w dev.wifi0.ledpin=3
sysctl -w dev.wifi0.softled=1

The relevant output from lspci -vv:

03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)                                                                                         
        Subsystem: Foxconn International, Inc. Device e008                                          
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-                                                                                           
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-                                                                                            
        Latency: 0, Cache Line Size: 128 bytes                                                      
        Interrupt: pin A routed to IRQ 18                                                           
        Region 0: Memory at 75200000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr+ UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM L0s L1 Enabled; RCB 128 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Virtual Channel <?>
        Kernel driver in use: ath_pci
        Kernel modules: ath5k, ath_pci

09/24/08 13:08:01 changed by shane_a_anderson@hotmail.com

I Cannot get my wireless card(atheros 5007eg) working on my Toshiba Satellite A200-AH1 Any Ideas?? Any help would be greatly appreciated.. or i might have to leave ubuntu 8.04 and go back to vista :(

(in reply to: ↑ 354 ) 09/24/08 13:37:43 changed by mrenzmann

Replying to jbbandos@hotmail.com:

It works on a Acer Aspire one, but a "iwlist scan freq" only shows 802.11bg frequencies.

Probably a configuration issue. Please contact our regular support channels for that.

Replying to shane_a_anderson@hotmail.com:

I Cannot get my wireless card(atheros 5007eg) working on my Toshiba Satellite A200-AH1 Any Ideas??

Same goes here: please contact our regular support channels. And please make sure you provide more information there than just "it does not work".

09/26/08 13:27:08 changed by omarish_f@hotmail.com

i have problem installing the driver patch on my wpn311 netgear. help anybody. its for aircrack that i want to use driver patch for.

09/26/08 21:56:27 changed by shane_a_anderson@hotmail.com

OK...i finally got this working thanks to this page i found..very easy you can cut and paste into terminal restart and voila wi-fi . maybe it will help others that are looking. i cannot post the link but i can e-mail it to you..i cannot post any url's here ....good luck

09/27/08 01:01:46 changed by genewitch

Actually, kernel updates don't actually break the drivers. if a kernel/driver update messes up your connection do this:

rmmod ath_pci rmmod ath_hal

cd <madwifi_source_tree> make install

shutdown -r now

And upon reboot it will work again. i've tried rmmod then modprobe ath_pci after running make install, but it doesn't do it. the actual kernel module is only fully unloaded upon reboot, i think.

You don't need to clean and do a full recompile each time, just re-install the already built madwifi drivers, hence "make install" is all you need to do.

Thanks again for great drivers, guys. and i hope this helps everyone who lost their connections with this week's kernel patches.

--genewitch

09/29/08 04:20:45 changed by anonymous

Is there a patch for packet injection on the HAL 0.10.5.6 r3861-20080903?

(in reply to: ↑ description ) 09/30/08 11:08:01 changed by anonymous

Thank-you - installing madwifi-hal-0.10.5.6 has fixed my problem with Ubuntu Hardy. Just doing a modprobe ath_pci once installed did not work however... it did need a full reboot. Thanks again

10/01/08 00:46:49 changed by Gothic.Panda@gmail.com

Just like to say, that I've used the build from my 9-3, and it works like a charm! The weird bugs with AJAX content and other kind of connections not wanting to work while on wireless is gone! You guys have done a bang up job of a driver here! Thank you!

10/03/08 15:55:58 changed by anonymous

Hi,

I had to hack ieee80211_wireless.c to get it to compile on Fedora 9 since Fedora is using version 8 of iw_wireless.h and that version wants an iw_request_info structure address as the first argument of iwe_stream_add_event and iwe_stream_add_point.

I just added static definition, static struct iw_request_info iw_info = { 0, 0};, towards the start of the code and added a &iw_info as the first argument of each of the add_ calls I listed above.

Note that I just set the extended command and flags to zero which may not be optimal, but the hack now gets ne a working AR5007 on my x86_64 system.

Thanks.

P.S.: Any idea when ath5k (or ath9k) will support the AR5007 chip on 64 bit OSs?

10/03/08 21:38:53 changed by anonymous

Installing it went smoothly, and the network I want to connect to is detected. I cannot log onto my school's PEAP MSCHAPv2 network, however, could be totally wpa_supplicant related. In fact, ndiswrapper showed networks as well... It is just that I have tried a bunch of different combinations with wpa_supplicant and none seemed to work. I could post the debug output of wpa_supplicant if that helps. Thanks!

10/04/08 02:14:23 changed by anonymous

Working perfectly on HP dv6921la with Fedora 9. Thanks!

10/05/08 10:55:14 changed by genewitch@gmail.com

recent ubuntu HAL update (oct 3rd 2008) allows the madwifi "make install" to work without reboot upon update.

modprobe ath_hal

and it connects. Sexy! (using august madwifi release)

10/07/08 20:37:23 changed by longliveblog.blogspot.com

I cant change the MAC with the last drivers, its normal? I use macchanger but .... if i change the MAC to other (other fabricant, random ... etcetc) i cant connect to any wifi :(

10/11/08 17:25:22 changed by anonymous

Works perfectly on my ASUS X59SL-AP275C, thanks!

(follow-up: ↓ 370 ) 10/12/08 19:12:20 changed by anonymous

Support is already included in the latest stable Kernel Release 2.6.27(please correct me if I'm wrong), which is already used by Mandriva 2009, so it should be no Problem to use Atheros AR5007*. Build your own kernel or wait until new packages for your distributions arrive.

(in reply to: ↑ 369 ; follow-up: ↓ 371 ) 10/13/08 08:29:13 changed by anonymous

Replying to anonymous:

Support is already included in the latest stable Kernel Release 2.6.27(please correct me if I'm wrong), which is already used by Mandriva 2009, so it should be no Problem to use Atheros AR5007*. Build your own kernel or wait until new packages for your distributions arrive.

Can anyone else confirm this?

I have been holding off upgrading to Ubuntu 8.10 which uses the 2.6.27 kernel.

(in reply to: ↑ 370 ; follow-ups: ↓ 375 ↓ 386 ) 10/13/08 08:58:50 changed by anonymous

Replying to anonymous:

Can anyone else confirm this? I have been holding off upgrading to Ubuntu 8.10 which uses the 2.6.27 kernel.

At least it doesn't work for me in Kubuntu 8.10. It detects the card automatically BUT I cannot find any networks..

10/14/08 01:04:53 changed by anonymous

madwifi-hal-0-10-5.6 doesn't work with Ubuntu's 2.6.27-7-generic, confirmed. Compilation failed.

10/14/08 02:26:03 changed by styyle14

according to: bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/182489 , the problem is that the kernel has the capabilities to run ath5k out of the box, but ath_pci takes precedent, thus requiring that you blacklist ath_pci, then the ath5k module should work perfectly on the 2.6.27 kernel.

(follow-up: ↓ 376 ) 10/14/08 12:37:18 changed by anonymous

The ath5k driver in the ubuntu kernel is very unstable, it has already locked um my machine (alt-sysreq won't work) when seeing more than one AP with the same SSID (common in airports and hotels). These madwifi drivers build and work well (after a reboot) on my aspire one.

(in reply to: ↑ 371 ) 10/17/08 22:43:27 changed by kiffin

Replying to anonymous:

Replying to anonymous:

Can anyone else confirm this? I have been holding off upgrading to Ubuntu 8.10 which uses the 2.6.27 kernel.

At least it doesn't work for me in Kubuntu 8.10. It detects the card automatically BUT I cannot find any networks..

Tried with 8.10 beta install cd but doesn't work, need to follow instructions above.

(in reply to: ↑ 374 ; follow-up: ↓ 380 ) 10/18/08 13:15:15 changed by anonymous

Replying to anonymous:

These madwifi drivers build and work well (after a reboot) on my aspire one.

They did for me too until I let my Ubuntu Hardy system upgrade itself with a new kernel (2.6.24.21). Now I have wasted several hours trying all the suggestions I can find with and without blasklists for ath_pci and ath_hal without success. This is with the latest tarball of the special version 10.5.6 of madwifi. When are those guys going to merge the updates back into the main version - the special branch is 2 years old now. This is just a pain-in-the-ass.

10/18/08 15:43:44 changed by Gothic.Panda@gmail.com

Okay, these drivers work fine for about a week. Then, for some reason, any ajax content will not load in Firefox, certain other types of traffic stop. It's annoying more than anything. I've had the problems on Hardy 32 and 64 bit.

10/21/08 19:35:48 changed by jose della bosca

Works ok on ubuntu 8.10 beta fresh install, only needs to take out ubuntu drivers, make and make install current driver. reboot and enjoy.

10/22/08 04:05:51 changed by anonymous

the ath5k module works for me, but it is very slow (1Mb/s - 5Mb/s) using Ubuntu 8.10 on a Compaq Presario F700

(in reply to: ↑ 376 ) 10/24/08 03:00:46 changed by anonymous

Replying to anonymous:

They did for me too until I let my Ubuntu Hardy system upgrade itself with a new kernel (2.6.24.21). Now I have wasted several hours trying all the suggestions I can find with and without blasklists for ath_pci and ath_hal without success. This is with the latest tarball of the special version 10.5.6 of madwifi. When are those guys going to merge the updates back into the main version - the special branch is 2 years old now. This is just a pain-in-the-ass.

the driver "works" for me with 2.6.24.21 on xubuntu x86_64, but it is unusably slow after the upgrade.

10/25/08 21:41:56 changed by anonymous

OK, you don't need to install this driver anymore if you use the latest stable kernel release(2.6.27.3). I installed Fedora 9, then enabled Rawhide, got the 2.6.27.3 kernel and then disabled Rawhide again. No problems. No configuration.

(follow-up: ↓ 384 ) 10/28/08 18:03:10 changed by anonymous

I just tried the madwifi-hal-0.10.5.6-r3861-20080903.tar.gz and followed the UserDocs/FirstTimeHowTo instructions it worked for the Kubuntu 8.10 release. I have an Acer Aspire 5315 (AR5007). After a reboot the wireless is working but returns unstable/slow results when it searches for networks.

11/03/08 17:41:45 changed by mrenzmann

  • description changed.

(in reply to: ↑ 382 ) 11/08/08 18:48:16 changed by anonymous

"OK, you don't need to install this driver anymore if you use the latest stable kernel release(2.6.27.3). I installed Fedora 9, then enabled Rawhide, got the 2.6.27.3 kernel and then disabled Rawhide again. No problems. No configuration. "

Great, I can confirm that this works also for SUSE 11.0! Only problem now is that its not activated during boot but have to be "set" everytime by network settings in yast. When reading in all things there, the network is found and connected stable to, even if I dont change any setting. Any clew on how to solve that?

(follow-up: ↓ 391 ) 11/08/08 21:35:02 changed by De Wesselaar

hmmmm , linux as an alternative for windows? , no way!

Atheros 5007 EG works for a few days with ubuntu, this really sucks...

(in reply to: ↑ 371 ) 11/14/08 23:09:33 changed by enigmageek

Replying to anonymous:

Replying to anonymous:

Can anyone else confirm this? I have been holding off upgrading to Ubuntu 8.10 which uses the 2.6.27 kernel.

At least it doesn't work for me in Kubuntu 8.10. It detects the card automatically BUT I cannot find any networks..

I've held off from upgrading to Intrepid as well. I compiled the latest 2.6.27.5 kernel in Hardy and installed DKMS. Installed the 3835 madwifi-hal, wrote a script for the speed and it works great. The ath5k included with 2.6.27 kernel didn't work well for me so I blacklisted it as well as Ubuntu's drivers for Atheros and Hal.

(follow-up: ↓ 390 ) 11/15/08 05:09:59 changed by Shifu

I am running a fully updated Ubuntu Ibex installation. echo $(uname -r) returns 2.6.27-7-generic I've downloaded the most recent madwifi-hal-0.10.5.6-r3875 tarball, extracted it, and removed old versions of madwifi. When trying to run 'make' from the extracted directory, I get the error "No rule to make target 'stuff/madwifi-hal-0.10.5.6-r3875-20081105'. Stop." Any insights about why? I am a complete linux neophyte, but would like very much to get wireless working on this laptop.

11/16/08 13:50:56 changed by florian.supper@chello.at

Hi..

Tested on Lifebook S6410 with madwifi-hal-0.10.5.6-r3875-20081105.tar.gz an after make, make install & reboot it works perfect..

lspci: 0c:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 04) uname -r: 2.6.22.18-0.2-default OS: Open Suse 10.3

Greetz..

11/17/08 14:02:38 changed by Mitchell

Atheros AR5007EG on Toshiba a215-s4767. I installed madwifi-hal-0.10.5.6-r3875-20081105 on Debian Etch, after reboot and #iwlist ath0 scan it detects the networks around. When #wpa_supplicant -dd -Dmadwifi -iath0 -c/etc/wpa_supplicant.conf (obviously at this point I've already created wpa_supplicant.conf)it shows all me messages in the terminal window and reachs a state that never ends repeating the last 10 lines ending in the message: ALREADY ASSOCIATED TO THIS AP Well what I do is to close the terminal window, and open a new one and execute dhclient ath0, and wala, im connected. but, is there something wrong with the wpa_supplicant instruction? why it goes to that loop that never ends? that's annoying! someone with a similar experience?

(in reply to: ↑ 387 ) 11/17/08 14:10:28 changed by anonymous

Replying to Shifu:

I've downloaded the most recent madwifi-hal-0.10.5.6-r3875 tarball, extracted it, and removed old versions of madwifi. When trying to run 'make' from the extracted directory, I get the error "No rule to make target 'stuff/madwifi-hal-0.10.5.6-r3875-20081105'. Stop."

I got the same error, because I extracted the tarball in a folder called "Nueva Carpeta", it seems that you must rename the folder name where you extract the tarball, it must be a one word name, other wise you will get the same error, after that everything goes well.

Greets

(in reply to: ↑ 385 ) 11/17/08 14:14:19 changed by Mitchell

Replying to De Wesselaar:

hmmmm , linux as an alternative for windows? , no way! Atheros 5007 EG works for a few days with ubuntu, this really sucks...

Just try a real distribution, use Debian, Ubuntu tries to do things easier for newbies, too easy and it loses control i think

11/17/08 21:14:13 changed by anonymous

Hi,

Using madwifi-hal-0.10.5.6-r3875-20081105 on a Sony Vaio VGN-NR38M with Kubuntu Interpid.

lspci: Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

Installed as described in FirstTimeHowTo? and after a reboot (don't know if it is needed, just had to quit at that point) it just works. Starts up at boot and with Kubuntu's networkmanager the available accesspoints are visible and configurable.
Great work !!
Jaap

11/18/08 19:58:13 changed by ullix at urkam.de

Running Ubuntu Intrepid (8.10) on an Acer Aspire One A110L (aa1). After installing the 'linux-backport-modules-intrepid' and activating the '5xxx series of Atheros...' driver and deactivating the other, wifi works well for me, albeit at only the rate, as reported by iwconfig, of 1MB/s.

However, I can use this netbook as a mythtv client at its default setting to watch TV, which comes with data rates of 3-5MB/s, and thus should not be possible. But it does work well. Therefore I measured bit rates with iperf between the two computers, and got some odd results, all very reproducible:

@default 1 MB/s: aa1 as iperf-client: 0.8-1.3 Mbits/sec; aa1 as iperf-server: 7.5-9.6 Mbits/sec

switching to 11MB/s via 'iwconfig wlan1 rate 11M', resulted in: aa1 as iperf-client: 6.4-6.6 Mbits/sec; aa1 as iperf-server: 12-15 Mbits/sec

(switching to 54MB/s failed, requiring a reboot)

I had expected the rates being about the same in both directions?

~$ lspci -nn -s 03:* 03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)

~$ cat /var/log/dmesg | grep ath [ 14.401961] ath5k_pci 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18 [ 14.402008] ath5k_pci 0000:03:00.0: setting latency timer to 64 [ 14.402085] ath5k_pci 0000:03:00.0: registered as 'phy0' [ 17.150686] ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)

11/20/08 21:07:32 changed by anonymous

@ the one 2 posts before Doesn't Ubuntu 8.10 ship kernel 2.6.27? It works without this patch in kernel 2.6.27. I installed the kernel on Debian with make-kpkg and it works flawlessly. I can just recommend everyone to switch to the latest kernel. I think almost every distribution ships it out.

current status of kernel 2.6.27 is:

Ubuntu: in 8.10 Fedora: currently in Rawhide, Fedora 10 will release in 5 days with this kernel Debian: not in sid repositories, build it yourself from source openSUSE: maybe it will be included in 11.1(?) Mandriva: included in current version

11/20/08 23:04:17 changed by proski

  • status changed from assigned to closed.
  • resolution set to wontfix.
HAL 0.10.5.6 won't be used in any future MadWifi release. Firstly, it has been superseded by other HAL releases. Secondly, future releases of MadWifi with significant changes are unlikely, because we don't have another manpower for that. Finally, this ticket has become a soapbox full of issues that are unrelated to the original problem. The ticket is now closed. Please refrain from adding more comments. For support questions please use our regular support channels.